// Autogenerated from Pigeon (v9.2.5), do not edit directly.
// See also: https://pub.dev/packages/pigeon
// ignore_for_file: public_member_api_docs, non_constant_identifier_names, avoid_as, unused_import, unnecessary_parenthesis, unnecessary_import
// ignore_for_file: avoid_relative_lib_imports
import 'dart:async';
import 'dart:typed_data' show Float64List, Int32List, Int64List, Uint8List;
import 'package:flutter/foundation.dart' show ReadBuffer, WriteBuffer;
import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';

import 'package:netease_roomkit_interface/src/pigeon.dart';

class _RoomKitApiCodec extends StandardMessageCodec {
  const _RoomKitApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is InitializeRequest) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is SDKVersions) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return InitializeRequest.decode(readValue(buffer)!);
      case 129: 
        return SDKVersions.decode(readValue(buffer)!);
      case 130: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomKitApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomKitApiCodec();

  Future<SimpleResponse> initialize(InitializeRequest options);

  SDKVersions sdkVersions();

  int switchLanguage(String languageCode);

  static void setup(RoomKitApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomKitApi.initialize', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomKitApi.initialize was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final InitializeRequest? arg_options = (args[0] as InitializeRequest?);
          assert(arg_options != null,
              'Argument for dev.flutter.pigeon.RoomKitApi.initialize was null, expected non-null InitializeRequest.');
          final SimpleResponse output = await api.initialize(arg_options!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomKitApi.sdkVersions', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final SDKVersions output = api.sdkVersions();
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomKitApi.switchLanguage', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomKitApi.switchLanguage was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_languageCode = (args[0] as String?);
          assert(arg_languageCode != null,
              'Argument for dev.flutter.pigeon.RoomKitApi.switchLanguage was null, expected non-null String.');
          final int output = api.switchLanguage(arg_languageCode!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _AuthServiceApiCodec extends StandardMessageCodec {
  const _AuthServiceApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SimpleResponse) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class AuthServiceApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _AuthServiceApiCodec();

  Future<SimpleResponse> login(String account, String token);

  Future<SimpleResponse> logout();

  bool isLoggedIn();

  static void setup(AuthServiceApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.AuthServiceApi.login', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.AuthServiceApi.login was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_account = (args[0] as String?);
          assert(arg_account != null,
              'Argument for dev.flutter.pigeon.AuthServiceApi.login was null, expected non-null String.');
          final String? arg_token = (args[1] as String?);
          assert(arg_token != null,
              'Argument for dev.flutter.pigeon.AuthServiceApi.login was null, expected non-null String.');
          final SimpleResponse output = await api.login(arg_account!, arg_token!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.AuthServiceApi.logout', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final SimpleResponse output = await api.logout();
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.AuthServiceApi.isLoggedIn', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final bool output = api.isLoggedIn();
          return <Object?>[output];
        });
      }
    }
  }
}

class _RoomServiceApiOfDartCodec extends StandardMessageCodec {
  const _RoomServiceApiOfDartCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is CreateRoomOptions) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is CreateRoomParams) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is CrossAppAuthorization) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is JoinRoomOptions) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is JoinRoomParams) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else if (value is JoinRoomResponse) {
      buffer.putUint8(133);
      writeValue(buffer, value.encode());
    } else if (value is PreviewRoomOptions) {
      buffer.putUint8(134);
      writeValue(buffer, value.encode());
    } else if (value is PreviewRoomParams) {
      buffer.putUint8(135);
      writeValue(buffer, value.encode());
    } else if (value is RoleAudioParams) {
      buffer.putUint8(136);
      writeValue(buffer, value.encode());
    } else if (value is RoleParams) {
      buffer.putUint8(137);
      writeValue(buffer, value.encode());
    } else if (value is RoleScreenParams) {
      buffer.putUint8(138);
      writeValue(buffer, value.encode());
    } else if (value is RoleVideoParams) {
      buffer.putUint8(139);
      writeValue(buffer, value.encode());
    } else if (value is RoomMember) {
      buffer.putUint8(140);
      writeValue(buffer, value.encode());
    } else if (value is RoomRole) {
      buffer.putUint8(141);
      writeValue(buffer, value.encode());
    } else if (value is RoomSnapshot) {
      buffer.putUint8(142);
      writeValue(buffer, value.encode());
    } else if (value is SeatInitParams) {
      buffer.putUint8(143);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(144);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return CreateRoomOptions.decode(readValue(buffer)!);
      case 129: 
        return CreateRoomParams.decode(readValue(buffer)!);
      case 130: 
        return CrossAppAuthorization.decode(readValue(buffer)!);
      case 131: 
        return JoinRoomOptions.decode(readValue(buffer)!);
      case 132: 
        return JoinRoomParams.decode(readValue(buffer)!);
      case 133: 
        return JoinRoomResponse.decode(readValue(buffer)!);
      case 134: 
        return PreviewRoomOptions.decode(readValue(buffer)!);
      case 135: 
        return PreviewRoomParams.decode(readValue(buffer)!);
      case 136: 
        return RoleAudioParams.decode(readValue(buffer)!);
      case 137: 
        return RoleParams.decode(readValue(buffer)!);
      case 138: 
        return RoleScreenParams.decode(readValue(buffer)!);
      case 139: 
        return RoleVideoParams.decode(readValue(buffer)!);
      case 140: 
        return RoomMember.decode(readValue(buffer)!);
      case 141: 
        return RoomRole.decode(readValue(buffer)!);
      case 142: 
        return RoomSnapshot.decode(readValue(buffer)!);
      case 143: 
        return SeatInitParams.decode(readValue(buffer)!);
      case 144: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomServiceApiOfDart {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomServiceApiOfDartCodec();

  Future<SimpleResponse> createRoom(CreateRoomParams params, CreateRoomOptions options);

  Future<JoinRoomResponse> joinRoom(JoinRoomParams params, JoinRoomOptions options);

  Future<SimpleResponse> previewRoom(PreviewRoomParams params, PreviewRoomOptions options);

  static void setup(RoomServiceApiOfDart? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomServiceApi.createRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomServiceApi.createRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final CreateRoomParams? arg_params = (args[0] as CreateRoomParams?);
          assert(arg_params != null,
              'Argument for dev.flutter.pigeon.RoomServiceApi.createRoom was null, expected non-null CreateRoomParams.');
          final CreateRoomOptions? arg_options = (args[1] as CreateRoomOptions?);
          assert(arg_options != null,
              'Argument for dev.flutter.pigeon.RoomServiceApi.createRoom was null, expected non-null CreateRoomOptions.');
          final SimpleResponse output = await api.createRoom(arg_params!, arg_options!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomServiceApi.joinRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomServiceApi.joinRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final JoinRoomParams? arg_params = (args[0] as JoinRoomParams?);
          assert(arg_params != null,
              'Argument for dev.flutter.pigeon.RoomServiceApi.joinRoom was null, expected non-null JoinRoomParams.');
          final JoinRoomOptions? arg_options = (args[1] as JoinRoomOptions?);
          assert(arg_options != null,
              'Argument for dev.flutter.pigeon.RoomServiceApi.joinRoom was null, expected non-null JoinRoomOptions.');
          final JoinRoomResponse output = await api.joinRoom(arg_params!, arg_options!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomServiceApi.previewRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomServiceApi.previewRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final PreviewRoomParams? arg_params = (args[0] as PreviewRoomParams?);
          assert(arg_params != null,
              'Argument for dev.flutter.pigeon.RoomServiceApi.previewRoom was null, expected non-null PreviewRoomParams.');
          final PreviewRoomOptions? arg_options = (args[1] as PreviewRoomOptions?);
          assert(arg_options != null,
              'Argument for dev.flutter.pigeon.RoomServiceApi.previewRoom was null, expected non-null PreviewRoomOptions.');
          final SimpleResponse output = await api.previewRoom(arg_params!, arg_options!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _RoomContextApiOfDartCodec extends StandardMessageCodec {
  const _RoomContextApiOfDartCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SimpleResponse) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomContextApiOfDart {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomContextApiOfDartCodec();

  Future<SimpleResponse> changeMyName(String roomUuid, String name);

  Future<SimpleResponse> changeMemberRole(String roomUuid, String userUuid, String role);

  Future<SimpleResponse> handOverMyRole(String roomUuid, String userUuid);

  Future<SimpleResponse> kickMemberOut(String roomUuid, String userUuid);

  Future<SimpleResponse> leaveRoom(String roomUuid);

  Future<SimpleResponse> endRoom(String roomUuid, bool isForce);

  Future<SimpleResponse> updateRoomProperty(String roomUuid, String key, String value, String? associatedUuid);

  Future<SimpleResponse> deleteRoomProperty(String roomUuid, String key);

  Future<SimpleResponse> updateMemberProperty(String roomUuid, String userUuid, String key, String value);

  Future<SimpleResponse> deleteMemberProperty(String roomUuid, String userUuid, String key);

  Future<SimpleResponse> lockRoom(String roomUuid);

  Future<SimpleResponse> unlockRoom(String roomUuid);

  static void setup(RoomContextApiOfDart? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.changeMyName', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.changeMyName was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.changeMyName was null, expected non-null String.');
          final String? arg_name = (args[1] as String?);
          assert(arg_name != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.changeMyName was null, expected non-null String.');
          final SimpleResponse output = await api.changeMyName(arg_roomUuid!, arg_name!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.changeMemberRole', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.changeMemberRole was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.changeMemberRole was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.changeMemberRole was null, expected non-null String.');
          final String? arg_role = (args[2] as String?);
          assert(arg_role != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.changeMemberRole was null, expected non-null String.');
          final SimpleResponse output = await api.changeMemberRole(arg_roomUuid!, arg_userUuid!, arg_role!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.handOverMyRole', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.handOverMyRole was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.handOverMyRole was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.handOverMyRole was null, expected non-null String.');
          final SimpleResponse output = await api.handOverMyRole(arg_roomUuid!, arg_userUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.kickMemberOut', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.kickMemberOut was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.kickMemberOut was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.kickMemberOut was null, expected non-null String.');
          final SimpleResponse output = await api.kickMemberOut(arg_roomUuid!, arg_userUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.leaveRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.leaveRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.leaveRoom was null, expected non-null String.');
          final SimpleResponse output = await api.leaveRoom(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.endRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.endRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.endRoom was null, expected non-null String.');
          final bool? arg_isForce = (args[1] as bool?);
          assert(arg_isForce != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.endRoom was null, expected non-null bool.');
          final SimpleResponse output = await api.endRoom(arg_roomUuid!, arg_isForce!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.updateRoomProperty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.updateRoomProperty was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.updateRoomProperty was null, expected non-null String.');
          final String? arg_key = (args[1] as String?);
          assert(arg_key != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.updateRoomProperty was null, expected non-null String.');
          final String? arg_value = (args[2] as String?);
          assert(arg_value != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.updateRoomProperty was null, expected non-null String.');
          final String? arg_associatedUuid = (args[3] as String?);
          final SimpleResponse output = await api.updateRoomProperty(arg_roomUuid!, arg_key!, arg_value!, arg_associatedUuid);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.deleteRoomProperty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.deleteRoomProperty was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.deleteRoomProperty was null, expected non-null String.');
          final String? arg_key = (args[1] as String?);
          assert(arg_key != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.deleteRoomProperty was null, expected non-null String.');
          final SimpleResponse output = await api.deleteRoomProperty(arg_roomUuid!, arg_key!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.updateMemberProperty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.updateMemberProperty was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.updateMemberProperty was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.updateMemberProperty was null, expected non-null String.');
          final String? arg_key = (args[2] as String?);
          assert(arg_key != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.updateMemberProperty was null, expected non-null String.');
          final String? arg_value = (args[3] as String?);
          assert(arg_value != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.updateMemberProperty was null, expected non-null String.');
          final SimpleResponse output = await api.updateMemberProperty(arg_roomUuid!, arg_userUuid!, arg_key!, arg_value!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.deleteMemberProperty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.deleteMemberProperty was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.deleteMemberProperty was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.deleteMemberProperty was null, expected non-null String.');
          final String? arg_key = (args[2] as String?);
          assert(arg_key != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.deleteMemberProperty was null, expected non-null String.');
          final SimpleResponse output = await api.deleteMemberProperty(arg_roomUuid!, arg_userUuid!, arg_key!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.lockRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.lockRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.lockRoom was null, expected non-null String.');
          final SimpleResponse output = await api.lockRoom(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomContextApi.unlockRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomContextApi.unlockRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomContextApi.unlockRoom was null, expected non-null String.');
          final SimpleResponse output = await api.unlockRoom(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _RoomChatControllerApiCodec extends StandardMessageCodec {
  const _RoomChatControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is ChatRoomMember) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is ChatRoomMembersResponse) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return ChatRoomMember.decode(readValue(buffer)!);
      case 129: 
        return ChatRoomMembersResponse.decode(readValue(buffer)!);
      case 130: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomChatControllerApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomChatControllerApiCodec();

  Future<SimpleResponse> joinChatroom(String roomUuid);

  Future<SimpleResponse> leaveChatroom(String roomUuid);

  Future<SimpleResponse> sendBroadcastTextMessage(String roomUuid, String message);

  Future<SimpleResponse> sendDirectTextMessage(String roomUuid, String userUuid, String message);

  Future<SimpleResponse> sendGroupTextMessage(String roomUuid, List<String?> userUuids, String message);

  Future<ChatRoomMembersResponse> fetchChatRoomMembers(String roomUuid, int queryType, int limit);

  Future<SimpleResponse> sendImageMessage(String roomUuid, String messageUuid, String imagePath, List<String?> userUuids);

  Future<SimpleResponse> sendFileMessage(String roomUuid, String messageUuid, String filePath, List<String?> userUuids);

  Future<SimpleResponse> downloadAttachment(String roomUuid, String messageUuid);

  Future<SimpleResponse> cancelDownloadAttachment(String roomUuid, String messageUuid);

  static void setup(RoomChatControllerApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.joinChatroom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.joinChatroom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.joinChatroom was null, expected non-null String.');
          final SimpleResponse output = await api.joinChatroom(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.leaveChatroom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.leaveChatroom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.leaveChatroom was null, expected non-null String.');
          final SimpleResponse output = await api.leaveChatroom(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.sendBroadcastTextMessage', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendBroadcastTextMessage was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendBroadcastTextMessage was null, expected non-null String.');
          final String? arg_message = (args[1] as String?);
          assert(arg_message != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendBroadcastTextMessage was null, expected non-null String.');
          final SimpleResponse output = await api.sendBroadcastTextMessage(arg_roomUuid!, arg_message!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.sendDirectTextMessage', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendDirectTextMessage was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendDirectTextMessage was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendDirectTextMessage was null, expected non-null String.');
          final String? arg_message = (args[2] as String?);
          assert(arg_message != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendDirectTextMessage was null, expected non-null String.');
          final SimpleResponse output = await api.sendDirectTextMessage(arg_roomUuid!, arg_userUuid!, arg_message!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.sendGroupTextMessage', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendGroupTextMessage was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendGroupTextMessage was null, expected non-null String.');
          final List<String?>? arg_userUuids = (args[1] as List<Object?>?)?.cast<String?>();
          assert(arg_userUuids != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendGroupTextMessage was null, expected non-null List<String?>.');
          final String? arg_message = (args[2] as String?);
          assert(arg_message != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendGroupTextMessage was null, expected non-null String.');
          final SimpleResponse output = await api.sendGroupTextMessage(arg_roomUuid!, arg_userUuids!, arg_message!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.fetchChatRoomMembers', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.fetchChatRoomMembers was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.fetchChatRoomMembers was null, expected non-null String.');
          final int? arg_queryType = (args[1] as int?);
          assert(arg_queryType != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.fetchChatRoomMembers was null, expected non-null int.');
          final int? arg_limit = (args[2] as int?);
          assert(arg_limit != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.fetchChatRoomMembers was null, expected non-null int.');
          final ChatRoomMembersResponse output = await api.fetchChatRoomMembers(arg_roomUuid!, arg_queryType!, arg_limit!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.sendImageMessage', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendImageMessage was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendImageMessage was null, expected non-null String.');
          final String? arg_messageUuid = (args[1] as String?);
          assert(arg_messageUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendImageMessage was null, expected non-null String.');
          final String? arg_imagePath = (args[2] as String?);
          assert(arg_imagePath != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendImageMessage was null, expected non-null String.');
          final List<String?>? arg_userUuids = (args[3] as List<Object?>?)?.cast<String?>();
          assert(arg_userUuids != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendImageMessage was null, expected non-null List<String?>.');
          final SimpleResponse output = await api.sendImageMessage(arg_roomUuid!, arg_messageUuid!, arg_imagePath!, arg_userUuids!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.sendFileMessage', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendFileMessage was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendFileMessage was null, expected non-null String.');
          final String? arg_messageUuid = (args[1] as String?);
          assert(arg_messageUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendFileMessage was null, expected non-null String.');
          final String? arg_filePath = (args[2] as String?);
          assert(arg_filePath != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendFileMessage was null, expected non-null String.');
          final List<String?>? arg_userUuids = (args[3] as List<Object?>?)?.cast<String?>();
          assert(arg_userUuids != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.sendFileMessage was null, expected non-null List<String?>.');
          final SimpleResponse output = await api.sendFileMessage(arg_roomUuid!, arg_messageUuid!, arg_filePath!, arg_userUuids!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.downloadAttachment', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.downloadAttachment was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.downloadAttachment was null, expected non-null String.');
          final String? arg_messageUuid = (args[1] as String?);
          assert(arg_messageUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.downloadAttachment was null, expected non-null String.');
          final SimpleResponse output = await api.downloadAttachment(arg_roomUuid!, arg_messageUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomChatControllerApi.cancelDownloadAttachment', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomChatControllerApi.cancelDownloadAttachment was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.cancelDownloadAttachment was null, expected non-null String.');
          final String? arg_messageUuid = (args[1] as String?);
          assert(arg_messageUuid != null,
              'Argument for dev.flutter.pigeon.RoomChatControllerApi.cancelDownloadAttachment was null, expected non-null String.');
          final SimpleResponse output = await api.cancelDownloadAttachment(arg_roomUuid!, arg_messageUuid!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _RoomSeatControllerApiCodec extends StandardMessageCodec {
  const _RoomSeatControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SeatInfo) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is SeatInfoResponse) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is SeatInvitationItem) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is SeatInvitationListResponse) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is SeatItem) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else if (value is SeatRequestItem) {
      buffer.putUint8(133);
      writeValue(buffer, value.encode());
    } else if (value is SeatRequestListResponse) {
      buffer.putUint8(134);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(135);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SeatInfo.decode(readValue(buffer)!);
      case 129: 
        return SeatInfoResponse.decode(readValue(buffer)!);
      case 130: 
        return SeatInvitationItem.decode(readValue(buffer)!);
      case 131: 
        return SeatInvitationListResponse.decode(readValue(buffer)!);
      case 132: 
        return SeatItem.decode(readValue(buffer)!);
      case 133: 
        return SeatRequestItem.decode(readValue(buffer)!);
      case 134: 
        return SeatRequestListResponse.decode(readValue(buffer)!);
      case 135: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomSeatControllerApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomSeatControllerApiCodec();

  Future<SimpleResponse> submitSeatRequest(String roomUuid, int seatIndex, bool exclusive);

  Future<SimpleResponse> cancelSeatRequest(String roomUuid);

  Future<SimpleResponse> leaveSeat(String roomUuid);

  Future<SimpleResponse> approveSeatRequest(String roomUuid, String user);

  Future<SimpleResponse> rejectSeatRequest(String roomUuid, String user);

  Future<SimpleResponse> kickSeat(String roomUuid, String user);

  Future<SimpleResponse> sendSeatInvitation(String roomUuid, int seatIndex, String user);

  Future<SimpleResponse> cancelSeatInvitation(String roomUuid, String user);

  Future<SimpleResponse> acceptSeatInvitation(String roomUuid);

  Future<SimpleResponse> rejectSeatInvitation(String roomUuid);

  Future<SimpleResponse> closeSeats(String roomUuid, List<int?> seatIndices);

  Future<SimpleResponse> openSeats(String roomUuid, List<int?> seatIndices);

  Future<SeatInfoResponse> getSeatInfo(String roomUuid);

  Future<SeatRequestListResponse> getSeatRequestList(String roomUuid);

  Future<SeatInvitationListResponse> getSeatInvitationList(String roomUuid);

  static void setup(RoomSeatControllerApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.submitSeatRequest', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.submitSeatRequest was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.submitSeatRequest was null, expected non-null String.');
          final int? arg_seatIndex = (args[1] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.submitSeatRequest was null, expected non-null int.');
          final bool? arg_exclusive = (args[2] as bool?);
          assert(arg_exclusive != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.submitSeatRequest was null, expected non-null bool.');
          final SimpleResponse output = await api.submitSeatRequest(arg_roomUuid!, arg_seatIndex!, arg_exclusive!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatRequest', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatRequest was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatRequest was null, expected non-null String.');
          final SimpleResponse output = await api.cancelSeatRequest(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.leaveSeat', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.leaveSeat was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.leaveSeat was null, expected non-null String.');
          final SimpleResponse output = await api.leaveSeat(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.approveSeatRequest', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.approveSeatRequest was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.approveSeatRequest was null, expected non-null String.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.approveSeatRequest was null, expected non-null String.');
          final SimpleResponse output = await api.approveSeatRequest(arg_roomUuid!, arg_user!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatRequest', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatRequest was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatRequest was null, expected non-null String.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatRequest was null, expected non-null String.');
          final SimpleResponse output = await api.rejectSeatRequest(arg_roomUuid!, arg_user!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.kickSeat', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.kickSeat was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.kickSeat was null, expected non-null String.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.kickSeat was null, expected non-null String.');
          final SimpleResponse output = await api.kickSeat(arg_roomUuid!, arg_user!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.sendSeatInvitation', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.sendSeatInvitation was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.sendSeatInvitation was null, expected non-null String.');
          final int? arg_seatIndex = (args[1] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.sendSeatInvitation was null, expected non-null int.');
          final String? arg_user = (args[2] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.sendSeatInvitation was null, expected non-null String.');
          final SimpleResponse output = await api.sendSeatInvitation(arg_roomUuid!, arg_seatIndex!, arg_user!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatInvitation', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatInvitation was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatInvitation was null, expected non-null String.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatInvitation was null, expected non-null String.');
          final SimpleResponse output = await api.cancelSeatInvitation(arg_roomUuid!, arg_user!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.acceptSeatInvitation', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.acceptSeatInvitation was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.acceptSeatInvitation was null, expected non-null String.');
          final SimpleResponse output = await api.acceptSeatInvitation(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatInvitation', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatInvitation was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatInvitation was null, expected non-null String.');
          final SimpleResponse output = await api.rejectSeatInvitation(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.closeSeats', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.closeSeats was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.closeSeats was null, expected non-null String.');
          final List<int?>? arg_seatIndices = (args[1] as List<Object?>?)?.cast<int?>();
          assert(arg_seatIndices != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.closeSeats was null, expected non-null List<int?>.');
          final SimpleResponse output = await api.closeSeats(arg_roomUuid!, arg_seatIndices!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.openSeats', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.openSeats was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.openSeats was null, expected non-null String.');
          final List<int?>? arg_seatIndices = (args[1] as List<Object?>?)?.cast<int?>();
          assert(arg_seatIndices != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.openSeats was null, expected non-null List<int?>.');
          final SimpleResponse output = await api.openSeats(arg_roomUuid!, arg_seatIndices!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.getSeatInfo', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.getSeatInfo was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.getSeatInfo was null, expected non-null String.');
          final SeatInfoResponse output = await api.getSeatInfo(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.getSeatRequestList', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.getSeatRequestList was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.getSeatRequestList was null, expected non-null String.');
          final SeatRequestListResponse output = await api.getSeatRequestList(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomSeatControllerApi.getSeatInvitationList', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomSeatControllerApi.getSeatInvitationList was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomSeatControllerApi.getSeatInvitationList was null, expected non-null String.');
          final SeatInvitationListResponse output = await api.getSeatInvitationList(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _RoomRtcControllerApiCodec extends StandardMessageCodec {
  const _RoomRtcControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is CreateAudioEffectOption) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is CreateAudioMixingOption) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is NERoomVirtualBackgroundSource) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is StartScreenShareRequest) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return CreateAudioEffectOption.decode(readValue(buffer)!);
      case 129: 
        return CreateAudioMixingOption.decode(readValue(buffer)!);
      case 130: 
        return NERoomVirtualBackgroundSource.decode(readValue(buffer)!);
      case 131: 
        return SimpleResponse.decode(readValue(buffer)!);
      case 132: 
        return StartScreenShareRequest.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomRtcControllerApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomRtcControllerApiCodec();

  Future<SimpleResponse> joinRtcChannel(String roomUuid);

  Future<SimpleResponse> leaveRtcChannel(String roomUuid);

  Future<SimpleResponse> muteMyAudio(String roomUuid, bool enableMediaPub);

  Future<SimpleResponse> unmuteMyAudio(String roomUuid, bool enableMediaPub);

  Future<SimpleResponse> enableMediaPub(String roomUuid, int mediaType, bool enable);

  Future<SimpleResponse> pauseLocalAudioRecording(String roomUuid);

  Future<SimpleResponse> resumeLocalAudioRecording(String roomUuid);

  Future<SimpleResponse> muteMemberAudio(String roomUuid, String uuid);

  Future<SimpleResponse> unmuteMemberAudio(String roomUuid, String uuid);

  Future<SimpleResponse> muteMemberVideo(String roomUuid, String uuid);

  Future<SimpleResponse> unmuteMemberVideo(String roomUuid, String uuid);

  Future<SimpleResponse> pauseLocalVideoCapture(String roomUuid);

  Future<SimpleResponse> resumeLocalVideoCapture(String roomUuid);

  Future<SimpleResponse> unmuteMyVideo(String roomUuid);

  Future<SimpleResponse> muteMyVideo(String roomUuid);

  Future<SimpleResponse> stopScreenShare(String roomUuid);

  Future<SimpleResponse> startScreenShare(StartScreenShareRequest request);

  Future<SimpleResponse> stopMemberScreenShare(String roomUuid, String uuid);

  Future<SimpleResponse> subscribeRemoteVideoStream(String roomUuid, String userUuid, int streamType, bool subscribe);

  Future<SimpleResponse> subscribeRemoteSubStreamVideo(String roomUuid, String userUuid, bool subscribe);

  Future<SimpleResponse> setSpeakerphoneOn(String roomUuid, bool on);

  Future<SimpleResponse> isSpeakerphoneOn(String roomUuid);

  Future<SimpleResponse> stopAudioDump(String roomUuid);

  Future<SimpleResponse> startAudioDump(String roomUuid, int type);

  Future<SimpleResponse> enableAudioVolumeIndication(String roomUuid, bool enable, int interval, bool vad);

  Future<SimpleResponse> startRtcChannelMediaRelay(String roomUuid);

  Future<SimpleResponse> stopRtcChannelMediaRelay(String roomUuid);

  Future<SimpleResponse> enableEarBack(String roomUuid, bool enable, int volume);

  Future<SimpleResponse> startAudioMixing(String roomUuid, CreateAudioMixingOption option);

  Future<SimpleResponse> playEffect(String roomUuid, int id, CreateAudioEffectOption option);

  Future<SimpleResponse> stopAudioMixing(String roomUuid);

  Future<SimpleResponse> stopEffect(String roomUuid, int id);

  Future<SimpleResponse> setAudioMixingSendVolume(String roomUuid, int volume);

  Future<SimpleResponse> setAudioMixingPlaybackVolume(String roomUuid, int volume);

  Future<SimpleResponse> setEffectSendVolume(String roomUuid, int id, int volume);

  Future<SimpleResponse> setEffectPlaybackVolume(String roomUuid, int id, int volume);

  Future<SimpleResponse> stopAllEffects(String roomUuid);

  Future<SimpleResponse> adjustUserPlaybackSignalVolume(String roomUuid, String userUuid, int volume);

  Future<SimpleResponse> adjustPlaybackSignalVolume(String roomUuid, int volume);

  Future<SimpleResponse> switchCamera(String roomUuid);

  Future<SimpleResponse> addBeautyFilter(String roomUuid, String path);

  Future<SimpleResponse> addBeautySticker(String roomUuid, String path);

  Future<SimpleResponse> enableBeauty(String roomUuid, bool isOpenBeauty);

  Future<SimpleResponse> removeBeautyFilter(String roomUuid);

  Future<SimpleResponse> removeBeautySticker(String roomUuid);

  Future<SimpleResponse> startBeauty(String roomUuid);

  Future<SimpleResponse> stopBeauty(String roomUuid);

  Future<SimpleResponse> setBeautyFilterLevel(String roomUuid, double level);

  Future<SimpleResponse> setBeautyEffect(String roomUuid, int beautyType, double level);

  Future<SimpleResponse> enableVirtualBackground(String roomUuid, bool enabled, NERoomVirtualBackgroundSource backgroundSource);

  Future<SimpleResponse> pauseAudioMixing(String roomUuid);

  Future<SimpleResponse> adjustRecordingSignalVolume(String roomUuid, int volume);

  Future<SimpleResponse> resumeAudioMixing(String roomUuid);

  Future<SimpleResponse> setRecordDeviceMute(String roomUuid, bool mute);

  Future<SimpleResponse> setClientRole(String roomUuid, int role);

  Future<SimpleResponse> setLocalAudioProfile(String roomUuid, int profile, int scenario);

  Future<SimpleResponse> setChannelProfile(String roomUuid, int value);

  Future<SimpleResponse> enableAudioAINS(String roomUuid, bool enable);

  Future<SimpleResponse> enableLoopbackRecording(String roomUuid, bool enable);

  static void setup(RoomRtcControllerApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.joinRtcChannel', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.joinRtcChannel was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.joinRtcChannel was null, expected non-null String.');
          final SimpleResponse output = await api.joinRtcChannel(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.leaveRtcChannel', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.leaveRtcChannel was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.leaveRtcChannel was null, expected non-null String.');
          final SimpleResponse output = await api.leaveRtcChannel(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.muteMyAudio', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMyAudio was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMyAudio was null, expected non-null String.');
          final bool? arg_enableMediaPub = (args[1] as bool?);
          assert(arg_enableMediaPub != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMyAudio was null, expected non-null bool.');
          final SimpleResponse output = await api.muteMyAudio(arg_roomUuid!, arg_enableMediaPub!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyAudio', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyAudio was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyAudio was null, expected non-null String.');
          final bool? arg_enableMediaPub = (args[1] as bool?);
          assert(arg_enableMediaPub != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyAudio was null, expected non-null bool.');
          final SimpleResponse output = await api.unmuteMyAudio(arg_roomUuid!, arg_enableMediaPub!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.enableMediaPub', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableMediaPub was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableMediaPub was null, expected non-null String.');
          final int? arg_mediaType = (args[1] as int?);
          assert(arg_mediaType != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableMediaPub was null, expected non-null int.');
          final bool? arg_enable = (args[2] as bool?);
          assert(arg_enable != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableMediaPub was null, expected non-null bool.');
          final SimpleResponse output = await api.enableMediaPub(arg_roomUuid!, arg_mediaType!, arg_enable!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.pauseLocalAudioRecording', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.pauseLocalAudioRecording was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.pauseLocalAudioRecording was null, expected non-null String.');
          final SimpleResponse output = await api.pauseLocalAudioRecording(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.resumeLocalAudioRecording', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.resumeLocalAudioRecording was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.resumeLocalAudioRecording was null, expected non-null String.');
          final SimpleResponse output = await api.resumeLocalAudioRecording(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.muteMemberAudio', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMemberAudio was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMemberAudio was null, expected non-null String.');
          final String? arg_uuid = (args[1] as String?);
          assert(arg_uuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMemberAudio was null, expected non-null String.');
          final SimpleResponse output = await api.muteMemberAudio(arg_roomUuid!, arg_uuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberAudio', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberAudio was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberAudio was null, expected non-null String.');
          final String? arg_uuid = (args[1] as String?);
          assert(arg_uuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberAudio was null, expected non-null String.');
          final SimpleResponse output = await api.unmuteMemberAudio(arg_roomUuid!, arg_uuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.muteMemberVideo', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMemberVideo was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMemberVideo was null, expected non-null String.');
          final String? arg_uuid = (args[1] as String?);
          assert(arg_uuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMemberVideo was null, expected non-null String.');
          final SimpleResponse output = await api.muteMemberVideo(arg_roomUuid!, arg_uuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberVideo', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberVideo was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberVideo was null, expected non-null String.');
          final String? arg_uuid = (args[1] as String?);
          assert(arg_uuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberVideo was null, expected non-null String.');
          final SimpleResponse output = await api.unmuteMemberVideo(arg_roomUuid!, arg_uuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.pauseLocalVideoCapture', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.pauseLocalVideoCapture was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.pauseLocalVideoCapture was null, expected non-null String.');
          final SimpleResponse output = await api.pauseLocalVideoCapture(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.resumeLocalVideoCapture', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.resumeLocalVideoCapture was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.resumeLocalVideoCapture was null, expected non-null String.');
          final SimpleResponse output = await api.resumeLocalVideoCapture(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyVideo', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyVideo was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyVideo was null, expected non-null String.');
          final SimpleResponse output = await api.unmuteMyVideo(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.muteMyVideo', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMyVideo was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.muteMyVideo was null, expected non-null String.');
          final SimpleResponse output = await api.muteMyVideo(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.stopScreenShare', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopScreenShare was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopScreenShare was null, expected non-null String.');
          final SimpleResponse output = await api.stopScreenShare(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.startScreenShare', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startScreenShare was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final StartScreenShareRequest? arg_request = (args[0] as StartScreenShareRequest?);
          assert(arg_request != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startScreenShare was null, expected non-null StartScreenShareRequest.');
          final SimpleResponse output = await api.startScreenShare(arg_request!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.stopMemberScreenShare', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopMemberScreenShare was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopMemberScreenShare was null, expected non-null String.');
          final String? arg_uuid = (args[1] as String?);
          assert(arg_uuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopMemberScreenShare was null, expected non-null String.');
          final SimpleResponse output = await api.stopMemberScreenShare(arg_roomUuid!, arg_uuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteVideoStream', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteVideoStream was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteVideoStream was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteVideoStream was null, expected non-null String.');
          final int? arg_streamType = (args[2] as int?);
          assert(arg_streamType != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteVideoStream was null, expected non-null int.');
          final bool? arg_subscribe = (args[3] as bool?);
          assert(arg_subscribe != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteVideoStream was null, expected non-null bool.');
          final SimpleResponse output = await api.subscribeRemoteVideoStream(arg_roomUuid!, arg_userUuid!, arg_streamType!, arg_subscribe!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteSubStreamVideo', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteSubStreamVideo was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteSubStreamVideo was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteSubStreamVideo was null, expected non-null String.');
          final bool? arg_subscribe = (args[2] as bool?);
          assert(arg_subscribe != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteSubStreamVideo was null, expected non-null bool.');
          final SimpleResponse output = await api.subscribeRemoteSubStreamVideo(arg_roomUuid!, arg_userUuid!, arg_subscribe!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setSpeakerphoneOn', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setSpeakerphoneOn was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setSpeakerphoneOn was null, expected non-null String.');
          final bool? arg_on = (args[1] as bool?);
          assert(arg_on != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setSpeakerphoneOn was null, expected non-null bool.');
          final SimpleResponse output = await api.setSpeakerphoneOn(arg_roomUuid!, arg_on!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.isSpeakerphoneOn', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.isSpeakerphoneOn was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.isSpeakerphoneOn was null, expected non-null String.');
          final SimpleResponse output = await api.isSpeakerphoneOn(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.stopAudioDump', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopAudioDump was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopAudioDump was null, expected non-null String.');
          final SimpleResponse output = await api.stopAudioDump(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.startAudioDump', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startAudioDump was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startAudioDump was null, expected non-null String.');
          final int? arg_type = (args[1] as int?);
          assert(arg_type != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startAudioDump was null, expected non-null int.');
          final SimpleResponse output = await api.startAudioDump(arg_roomUuid!, arg_type!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.enableAudioVolumeIndication', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableAudioVolumeIndication was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableAudioVolumeIndication was null, expected non-null String.');
          final bool? arg_enable = (args[1] as bool?);
          assert(arg_enable != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableAudioVolumeIndication was null, expected non-null bool.');
          final int? arg_interval = (args[2] as int?);
          assert(arg_interval != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableAudioVolumeIndication was null, expected non-null int.');
          final bool? arg_vad = (args[3] as bool?);
          assert(arg_vad != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableAudioVolumeIndication was null, expected non-null bool.');
          final SimpleResponse output = await api.enableAudioVolumeIndication(arg_roomUuid!, arg_enable!, arg_interval!, arg_vad!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.startRtcChannelMediaRelay', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startRtcChannelMediaRelay was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startRtcChannelMediaRelay was null, expected non-null String.');
          final SimpleResponse output = await api.startRtcChannelMediaRelay(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.stopRtcChannelMediaRelay', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopRtcChannelMediaRelay was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopRtcChannelMediaRelay was null, expected non-null String.');
          final SimpleResponse output = await api.stopRtcChannelMediaRelay(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.enableEarBack', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableEarBack was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableEarBack was null, expected non-null String.');
          final bool? arg_enable = (args[1] as bool?);
          assert(arg_enable != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableEarBack was null, expected non-null bool.');
          final int? arg_volume = (args[2] as int?);
          assert(arg_volume != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableEarBack was null, expected non-null int.');
          final SimpleResponse output = await api.enableEarBack(arg_roomUuid!, arg_enable!, arg_volume!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.startAudioMixing', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startAudioMixing was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startAudioMixing was null, expected non-null String.');
          final CreateAudioMixingOption? arg_option = (args[1] as CreateAudioMixingOption?);
          assert(arg_option != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startAudioMixing was null, expected non-null CreateAudioMixingOption.');
          final SimpleResponse output = await api.startAudioMixing(arg_roomUuid!, arg_option!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.playEffect', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.playEffect was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.playEffect was null, expected non-null String.');
          final int? arg_id = (args[1] as int?);
          assert(arg_id != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.playEffect was null, expected non-null int.');
          final CreateAudioEffectOption? arg_option = (args[2] as CreateAudioEffectOption?);
          assert(arg_option != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.playEffect was null, expected non-null CreateAudioEffectOption.');
          final SimpleResponse output = await api.playEffect(arg_roomUuid!, arg_id!, arg_option!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.stopAudioMixing', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopAudioMixing was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopAudioMixing was null, expected non-null String.');
          final SimpleResponse output = await api.stopAudioMixing(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.stopEffect', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopEffect was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopEffect was null, expected non-null String.');
          final int? arg_id = (args[1] as int?);
          assert(arg_id != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopEffect was null, expected non-null int.');
          final SimpleResponse output = await api.stopEffect(arg_roomUuid!, arg_id!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingSendVolume', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingSendVolume was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingSendVolume was null, expected non-null String.');
          final int? arg_volume = (args[1] as int?);
          assert(arg_volume != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingSendVolume was null, expected non-null int.');
          final SimpleResponse output = await api.setAudioMixingSendVolume(arg_roomUuid!, arg_volume!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingPlaybackVolume', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingPlaybackVolume was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingPlaybackVolume was null, expected non-null String.');
          final int? arg_volume = (args[1] as int?);
          assert(arg_volume != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingPlaybackVolume was null, expected non-null int.');
          final SimpleResponse output = await api.setAudioMixingPlaybackVolume(arg_roomUuid!, arg_volume!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setEffectSendVolume', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setEffectSendVolume was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setEffectSendVolume was null, expected non-null String.');
          final int? arg_id = (args[1] as int?);
          assert(arg_id != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setEffectSendVolume was null, expected non-null int.');
          final int? arg_volume = (args[2] as int?);
          assert(arg_volume != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setEffectSendVolume was null, expected non-null int.');
          final SimpleResponse output = await api.setEffectSendVolume(arg_roomUuid!, arg_id!, arg_volume!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setEffectPlaybackVolume', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setEffectPlaybackVolume was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setEffectPlaybackVolume was null, expected non-null String.');
          final int? arg_id = (args[1] as int?);
          assert(arg_id != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setEffectPlaybackVolume was null, expected non-null int.');
          final int? arg_volume = (args[2] as int?);
          assert(arg_volume != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setEffectPlaybackVolume was null, expected non-null int.');
          final SimpleResponse output = await api.setEffectPlaybackVolume(arg_roomUuid!, arg_id!, arg_volume!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.stopAllEffects', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopAllEffects was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopAllEffects was null, expected non-null String.');
          final SimpleResponse output = await api.stopAllEffects(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.adjustUserPlaybackSignalVolume', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustUserPlaybackSignalVolume was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustUserPlaybackSignalVolume was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustUserPlaybackSignalVolume was null, expected non-null String.');
          final int? arg_volume = (args[2] as int?);
          assert(arg_volume != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustUserPlaybackSignalVolume was null, expected non-null int.');
          final SimpleResponse output = await api.adjustUserPlaybackSignalVolume(arg_roomUuid!, arg_userUuid!, arg_volume!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.adjustPlaybackSignalVolume', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustPlaybackSignalVolume was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustPlaybackSignalVolume was null, expected non-null String.');
          final int? arg_volume = (args[1] as int?);
          assert(arg_volume != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustPlaybackSignalVolume was null, expected non-null int.');
          final SimpleResponse output = await api.adjustPlaybackSignalVolume(arg_roomUuid!, arg_volume!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.switchCamera', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.switchCamera was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.switchCamera was null, expected non-null String.');
          final SimpleResponse output = await api.switchCamera(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.addBeautyFilter', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.addBeautyFilter was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.addBeautyFilter was null, expected non-null String.');
          final String? arg_path = (args[1] as String?);
          assert(arg_path != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.addBeautyFilter was null, expected non-null String.');
          final SimpleResponse output = await api.addBeautyFilter(arg_roomUuid!, arg_path!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.addBeautySticker', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.addBeautySticker was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.addBeautySticker was null, expected non-null String.');
          final String? arg_path = (args[1] as String?);
          assert(arg_path != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.addBeautySticker was null, expected non-null String.');
          final SimpleResponse output = await api.addBeautySticker(arg_roomUuid!, arg_path!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.enableBeauty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableBeauty was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableBeauty was null, expected non-null String.');
          final bool? arg_isOpenBeauty = (args[1] as bool?);
          assert(arg_isOpenBeauty != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableBeauty was null, expected non-null bool.');
          final SimpleResponse output = await api.enableBeauty(arg_roomUuid!, arg_isOpenBeauty!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.removeBeautyFilter', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.removeBeautyFilter was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.removeBeautyFilter was null, expected non-null String.');
          final SimpleResponse output = await api.removeBeautyFilter(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.removeBeautySticker', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.removeBeautySticker was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.removeBeautySticker was null, expected non-null String.');
          final SimpleResponse output = await api.removeBeautySticker(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.startBeauty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startBeauty was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.startBeauty was null, expected non-null String.');
          final SimpleResponse output = await api.startBeauty(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.stopBeauty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopBeauty was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.stopBeauty was null, expected non-null String.');
          final SimpleResponse output = await api.stopBeauty(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setBeautyFilterLevel', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setBeautyFilterLevel was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setBeautyFilterLevel was null, expected non-null String.');
          final double? arg_level = (args[1] as double?);
          assert(arg_level != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setBeautyFilterLevel was null, expected non-null double.');
          final SimpleResponse output = await api.setBeautyFilterLevel(arg_roomUuid!, arg_level!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setBeautyEffect', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setBeautyEffect was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setBeautyEffect was null, expected non-null String.');
          final int? arg_beautyType = (args[1] as int?);
          assert(arg_beautyType != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setBeautyEffect was null, expected non-null int.');
          final double? arg_level = (args[2] as double?);
          assert(arg_level != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setBeautyEffect was null, expected non-null double.');
          final SimpleResponse output = await api.setBeautyEffect(arg_roomUuid!, arg_beautyType!, arg_level!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.enableVirtualBackground', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableVirtualBackground was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableVirtualBackground was null, expected non-null String.');
          final bool? arg_enabled = (args[1] as bool?);
          assert(arg_enabled != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableVirtualBackground was null, expected non-null bool.');
          final NERoomVirtualBackgroundSource? arg_backgroundSource = (args[2] as NERoomVirtualBackgroundSource?);
          assert(arg_backgroundSource != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableVirtualBackground was null, expected non-null NERoomVirtualBackgroundSource.');
          final SimpleResponse output = await api.enableVirtualBackground(arg_roomUuid!, arg_enabled!, arg_backgroundSource!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.pauseAudioMixing', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.pauseAudioMixing was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.pauseAudioMixing was null, expected non-null String.');
          final SimpleResponse output = await api.pauseAudioMixing(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.adjustRecordingSignalVolume', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustRecordingSignalVolume was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustRecordingSignalVolume was null, expected non-null String.');
          final int? arg_volume = (args[1] as int?);
          assert(arg_volume != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.adjustRecordingSignalVolume was null, expected non-null int.');
          final SimpleResponse output = await api.adjustRecordingSignalVolume(arg_roomUuid!, arg_volume!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.resumeAudioMixing', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.resumeAudioMixing was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.resumeAudioMixing was null, expected non-null String.');
          final SimpleResponse output = await api.resumeAudioMixing(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setRecordDeviceMute', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setRecordDeviceMute was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setRecordDeviceMute was null, expected non-null String.');
          final bool? arg_mute = (args[1] as bool?);
          assert(arg_mute != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setRecordDeviceMute was null, expected non-null bool.');
          final SimpleResponse output = await api.setRecordDeviceMute(arg_roomUuid!, arg_mute!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setClientRole', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setClientRole was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setClientRole was null, expected non-null String.');
          final int? arg_role = (args[1] as int?);
          assert(arg_role != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setClientRole was null, expected non-null int.');
          final SimpleResponse output = await api.setClientRole(arg_roomUuid!, arg_role!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setLocalAudioProfile', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setLocalAudioProfile was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setLocalAudioProfile was null, expected non-null String.');
          final int? arg_profile = (args[1] as int?);
          assert(arg_profile != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setLocalAudioProfile was null, expected non-null int.');
          final int? arg_scenario = (args[2] as int?);
          assert(arg_scenario != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setLocalAudioProfile was null, expected non-null int.');
          final SimpleResponse output = await api.setLocalAudioProfile(arg_roomUuid!, arg_profile!, arg_scenario!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.setChannelProfile', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setChannelProfile was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setChannelProfile was null, expected non-null String.');
          final int? arg_value = (args[1] as int?);
          assert(arg_value != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.setChannelProfile was null, expected non-null int.');
          final SimpleResponse output = await api.setChannelProfile(arg_roomUuid!, arg_value!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.enableAudioAINS', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableAudioAINS was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableAudioAINS was null, expected non-null String.');
          final bool? arg_enable = (args[1] as bool?);
          assert(arg_enable != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableAudioAINS was null, expected non-null bool.');
          final SimpleResponse output = await api.enableAudioAINS(arg_roomUuid!, arg_enable!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcControllerApi.enableLoopbackRecording', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableLoopbackRecording was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableLoopbackRecording was null, expected non-null String.');
          final bool? arg_enable = (args[1] as bool?);
          assert(arg_enable != null,
              'Argument for dev.flutter.pigeon.RoomRtcControllerApi.enableLoopbackRecording was null, expected non-null bool.');
          final SimpleResponse output = await api.enableLoopbackRecording(arg_roomUuid!, arg_enable!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _PreviewRoomRtcControllerApiCodec extends StandardMessageCodec {
  const _PreviewRoomRtcControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is NERoomVirtualBackgroundSource) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return NERoomVirtualBackgroundSource.decode(readValue(buffer)!);
      case 129: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class PreviewRoomRtcControllerApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _PreviewRoomRtcControllerApiCodec();

  Future<SimpleResponse> startPreview();

  Future<SimpleResponse> stopPreview(bool releaseRtc);

  Future<SimpleResponse> switchCamera();

  Future<SimpleResponse> addBeautyFilter(String path);

  Future<SimpleResponse> addBeautySticker(String path);

  Future<SimpleResponse> enableBeauty(bool isOpenBeauty);

  Future<SimpleResponse> removeBeautyFilter();

  Future<SimpleResponse> removeBeautySticker();

  Future<SimpleResponse> startBeauty();

  Future<SimpleResponse> stopBeauty();

  Future<SimpleResponse> setBeautyFilterLevel(double level);

  Future<SimpleResponse> setBeautyEffect(int beautyType, double level);

  Future<SimpleResponse> enableVirtualBackground(bool enabled, NERoomVirtualBackgroundSource backgroundSource);

  static void setup(PreviewRoomRtcControllerApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.startPreview', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final SimpleResponse output = await api.startPreview();
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.stopPreview', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.stopPreview was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final bool? arg_releaseRtc = (args[0] as bool?);
          assert(arg_releaseRtc != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.stopPreview was null, expected non-null bool.');
          final SimpleResponse output = await api.stopPreview(arg_releaseRtc!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.switchCamera', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final SimpleResponse output = await api.switchCamera();
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.addBeautyFilter', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.addBeautyFilter was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_path = (args[0] as String?);
          assert(arg_path != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.addBeautyFilter was null, expected non-null String.');
          final SimpleResponse output = await api.addBeautyFilter(arg_path!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.addBeautySticker', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.addBeautySticker was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_path = (args[0] as String?);
          assert(arg_path != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.addBeautySticker was null, expected non-null String.');
          final SimpleResponse output = await api.addBeautySticker(arg_path!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableBeauty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableBeauty was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final bool? arg_isOpenBeauty = (args[0] as bool?);
          assert(arg_isOpenBeauty != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableBeauty was null, expected non-null bool.');
          final SimpleResponse output = await api.enableBeauty(arg_isOpenBeauty!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.removeBeautyFilter', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final SimpleResponse output = await api.removeBeautyFilter();
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.removeBeautySticker', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final SimpleResponse output = await api.removeBeautySticker();
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.startBeauty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final SimpleResponse output = await api.startBeauty();
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.stopBeauty', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          // ignore message
          final SimpleResponse output = await api.stopBeauty();
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyFilterLevel', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyFilterLevel was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final double? arg_level = (args[0] as double?);
          assert(arg_level != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyFilterLevel was null, expected non-null double.');
          final SimpleResponse output = await api.setBeautyFilterLevel(arg_level!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyEffect', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyEffect was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_beautyType = (args[0] as int?);
          assert(arg_beautyType != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyEffect was null, expected non-null int.');
          final double? arg_level = (args[1] as double?);
          assert(arg_level != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyEffect was null, expected non-null double.');
          final SimpleResponse output = await api.setBeautyEffect(arg_beautyType!, arg_level!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableVirtualBackground', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableVirtualBackground was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final bool? arg_enabled = (args[0] as bool?);
          assert(arg_enabled != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableVirtualBackground was null, expected non-null bool.');
          final NERoomVirtualBackgroundSource? arg_backgroundSource = (args[1] as NERoomVirtualBackgroundSource?);
          assert(arg_backgroundSource != null,
              'Argument for dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableVirtualBackground was null, expected non-null NERoomVirtualBackgroundSource.');
          final SimpleResponse output = await api.enableVirtualBackground(arg_enabled!, arg_backgroundSource!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _RoomRtcRenderApiCodec extends StandardMessageCodec {
  const _RoomRtcRenderApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SimpleResponse) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomRtcRenderApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomRtcRenderApiCodec();

  Future<SimpleResponse> createVideoRenderer(String roomUuid);

  Future<SimpleResponse> setupLocalVideoRenderer(int textureId);

  Future<SimpleResponse> detachLocalVideoRenderer(bool subStream, int textureId);

  Future<SimpleResponse> detachRemoteVideoRenderer(String userUuid, bool subStream, int textureId);

  Future<SimpleResponse> setMirror(int textureId, bool mirror);

  Future<SimpleResponse> setupRemoteSubStreamVideoRenderer(String userUuid, int textureId);

  Future<SimpleResponse> setupRemoteVideoRenderer(String userUuid, int textureId);

  Future<SimpleResponse> disposeVideoRenderer(int textureId);

  static void setup(RoomRtcRenderApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcVideoRender.createVideoRenderer', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcVideoRender.createVideoRenderer was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.createVideoRenderer was null, expected non-null String.');
          final SimpleResponse output = await api.createVideoRenderer(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcVideoRender.setupLocalVideoRenderer', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setupLocalVideoRenderer was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_textureId = (args[0] as int?);
          assert(arg_textureId != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setupLocalVideoRenderer was null, expected non-null int.');
          final SimpleResponse output = await api.setupLocalVideoRenderer(arg_textureId!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcVideoRender.detachLocalVideoRenderer', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcVideoRender.detachLocalVideoRenderer was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final bool? arg_subStream = (args[0] as bool?);
          assert(arg_subStream != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.detachLocalVideoRenderer was null, expected non-null bool.');
          final int? arg_textureId = (args[1] as int?);
          assert(arg_textureId != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.detachLocalVideoRenderer was null, expected non-null int.');
          final SimpleResponse output = await api.detachLocalVideoRenderer(arg_subStream!, arg_textureId!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcVideoRender.detachRemoteVideoRenderer', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcVideoRender.detachRemoteVideoRenderer was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_userUuid = (args[0] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.detachRemoteVideoRenderer was null, expected non-null String.');
          final bool? arg_subStream = (args[1] as bool?);
          assert(arg_subStream != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.detachRemoteVideoRenderer was null, expected non-null bool.');
          final int? arg_textureId = (args[2] as int?);
          assert(arg_textureId != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.detachRemoteVideoRenderer was null, expected non-null int.');
          final SimpleResponse output = await api.detachRemoteVideoRenderer(arg_userUuid!, arg_subStream!, arg_textureId!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcVideoRender.setMirror', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setMirror was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_textureId = (args[0] as int?);
          assert(arg_textureId != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setMirror was null, expected non-null int.');
          final bool? arg_mirror = (args[1] as bool?);
          assert(arg_mirror != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setMirror was null, expected non-null bool.');
          final SimpleResponse output = await api.setMirror(arg_textureId!, arg_mirror!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteSubStreamVideoRenderer', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteSubStreamVideoRenderer was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_userUuid = (args[0] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteSubStreamVideoRenderer was null, expected non-null String.');
          final int? arg_textureId = (args[1] as int?);
          assert(arg_textureId != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteSubStreamVideoRenderer was null, expected non-null int.');
          final SimpleResponse output = await api.setupRemoteSubStreamVideoRenderer(arg_userUuid!, arg_textureId!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteVideoRenderer', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteVideoRenderer was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_userUuid = (args[0] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteVideoRenderer was null, expected non-null String.');
          final int? arg_textureId = (args[1] as int?);
          assert(arg_textureId != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteVideoRenderer was null, expected non-null int.');
          final SimpleResponse output = await api.setupRemoteVideoRenderer(arg_userUuid!, arg_textureId!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomRtcVideoRender.disposeVideoRenderer', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomRtcVideoRender.disposeVideoRenderer was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_textureId = (args[0] as int?);
          assert(arg_textureId != null,
              'Argument for dev.flutter.pigeon.RoomRtcVideoRender.disposeVideoRenderer was null, expected non-null int.');
          final SimpleResponse output = await api.disposeVideoRenderer(arg_textureId!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _RoomWhiteboardControllerApiCodec extends StandardMessageCodec {
  const _RoomWhiteboardControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SimpleResponse) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomWhiteboardControllerApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomWhiteboardControllerApiCodec();

  Future<SimpleResponse> startWhiteboardShare(String roomUuid);

  Future<SimpleResponse> stopWhiteboardShare(String roomUuid);

  Future<SimpleResponse> setEnableDraw(String roomUuid, bool enable);

  Future<SimpleResponse> stopMemberWhiteboardShare(String roomUuid, String userUuid);

  Future<SimpleResponse> setCanvasBackgroundColor(String roomUuid, String color);

  Future<SimpleResponse> lockCameraWithContent(String roomUuid, int width, int height);

  static void setup(RoomWhiteboardControllerApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomWhiteboardControllerApi.startWhiteboardShare', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.startWhiteboardShare was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.startWhiteboardShare was null, expected non-null String.');
          final SimpleResponse output = await api.startWhiteboardShare(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomWhiteboardControllerApi.stopWhiteboardShare', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.stopWhiteboardShare was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.stopWhiteboardShare was null, expected non-null String.');
          final SimpleResponse output = await api.stopWhiteboardShare(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomWhiteboardControllerApi.setEnableDraw', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.setEnableDraw was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.setEnableDraw was null, expected non-null String.');
          final bool? arg_enable = (args[1] as bool?);
          assert(arg_enable != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.setEnableDraw was null, expected non-null bool.');
          final SimpleResponse output = await api.setEnableDraw(arg_roomUuid!, arg_enable!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomWhiteboardControllerApi.stopMemberWhiteboardShare', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.stopMemberWhiteboardShare was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.stopMemberWhiteboardShare was null, expected non-null String.');
          final String? arg_userUuid = (args[1] as String?);
          assert(arg_userUuid != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.stopMemberWhiteboardShare was null, expected non-null String.');
          final SimpleResponse output = await api.stopMemberWhiteboardShare(arg_roomUuid!, arg_userUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomWhiteboardControllerApi.setCanvasBackgroundColor', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.setCanvasBackgroundColor was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.setCanvasBackgroundColor was null, expected non-null String.');
          final String? arg_color = (args[1] as String?);
          assert(arg_color != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.setCanvasBackgroundColor was null, expected non-null String.');
          final SimpleResponse output = await api.setCanvasBackgroundColor(arg_roomUuid!, arg_color!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomWhiteboardControllerApi.lockCameraWithContent', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.lockCameraWithContent was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.lockCameraWithContent was null, expected non-null String.');
          final int? arg_width = (args[1] as int?);
          assert(arg_width != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.lockCameraWithContent was null, expected non-null int.');
          final int? arg_height = (args[2] as int?);
          assert(arg_height != null,
              'Argument for dev.flutter.pigeon.RoomWhiteboardControllerApi.lockCameraWithContent was null, expected non-null int.');
          final SimpleResponse output = await api.lockCameraWithContent(arg_roomUuid!, arg_width!, arg_height!);
          return <Object?>[output];
        });
      }
    }
  }
}

class _RoomLiveControllerApiCodec extends StandardMessageCodec {
  const _RoomLiveControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is RoomLiveConfig) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveInfo) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveRequest) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveResponse) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveStreamImageInfo) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveStreamLayout) {
      buffer.putUint8(133);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveStreamTaskInfo) {
      buffer.putUint8(134);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveStreamUserTranscoding) {
      buffer.putUint8(135);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(136);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return RoomLiveConfig.decode(readValue(buffer)!);
      case 129: 
        return RoomLiveInfo.decode(readValue(buffer)!);
      case 130: 
        return RoomLiveRequest.decode(readValue(buffer)!);
      case 131: 
        return RoomLiveResponse.decode(readValue(buffer)!);
      case 132: 
        return RoomLiveStreamImageInfo.decode(readValue(buffer)!);
      case 133: 
        return RoomLiveStreamLayout.decode(readValue(buffer)!);
      case 134: 
        return RoomLiveStreamTaskInfo.decode(readValue(buffer)!);
      case 135: 
        return RoomLiveStreamUserTranscoding.decode(readValue(buffer)!);
      case 136: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomLiveControllerApi {
  static TestDefaultBinaryMessengerBinding? get _testBinaryMessengerBinding => TestDefaultBinaryMessengerBinding.instance;
  static const MessageCodec<Object?> codec = _RoomLiveControllerApiCodec();

  Future<RoomLiveResponse> startLive(String roomUuid, RoomLiveRequest request);

  Future<SimpleResponse> stopLive(String roomUuid);

  Future<RoomLiveResponse> updateLive(String roomUuid, RoomLiveRequest request);

  Future<RoomLiveResponse> getLiveInfo(String roomUuid);

  Future<SimpleResponse> addLiveStreamTask(String roomUuid, RoomLiveStreamTaskInfo taskInfo);

  Future<SimpleResponse> updateLiveStreamTask(String roomUuid, RoomLiveStreamTaskInfo taskInfo);

  Future<SimpleResponse> removeLiveStreamTask(String roomUuid, String taskID);

  static void setup(RoomLiveControllerApi? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomLiveControllerApi.startLive', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomLiveControllerApi.startLive was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.startLive was null, expected non-null String.');
          final RoomLiveRequest? arg_request = (args[1] as RoomLiveRequest?);
          assert(arg_request != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.startLive was null, expected non-null RoomLiveRequest.');
          final RoomLiveResponse output = await api.startLive(arg_roomUuid!, arg_request!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomLiveControllerApi.stopLive', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomLiveControllerApi.stopLive was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.stopLive was null, expected non-null String.');
          final SimpleResponse output = await api.stopLive(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomLiveControllerApi.updateLive', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomLiveControllerApi.updateLive was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.updateLive was null, expected non-null String.');
          final RoomLiveRequest? arg_request = (args[1] as RoomLiveRequest?);
          assert(arg_request != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.updateLive was null, expected non-null RoomLiveRequest.');
          final RoomLiveResponse output = await api.updateLive(arg_roomUuid!, arg_request!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomLiveControllerApi.getLiveInfo', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomLiveControllerApi.getLiveInfo was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.getLiveInfo was null, expected non-null String.');
          final RoomLiveResponse output = await api.getLiveInfo(arg_roomUuid!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomLiveControllerApi.addLiveStreamTask', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomLiveControllerApi.addLiveStreamTask was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.addLiveStreamTask was null, expected non-null String.');
          final RoomLiveStreamTaskInfo? arg_taskInfo = (args[1] as RoomLiveStreamTaskInfo?);
          assert(arg_taskInfo != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.addLiveStreamTask was null, expected non-null RoomLiveStreamTaskInfo.');
          final SimpleResponse output = await api.addLiveStreamTask(arg_roomUuid!, arg_taskInfo!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomLiveControllerApi.updateLiveStreamTask', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomLiveControllerApi.updateLiveStreamTask was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.updateLiveStreamTask was null, expected non-null String.');
          final RoomLiveStreamTaskInfo? arg_taskInfo = (args[1] as RoomLiveStreamTaskInfo?);
          assert(arg_taskInfo != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.updateLiveStreamTask was null, expected non-null RoomLiveStreamTaskInfo.');
          final SimpleResponse output = await api.updateLiveStreamTask(arg_roomUuid!, arg_taskInfo!);
          return <Object?>[output];
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomLiveControllerApi.removeLiveStreamTask', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, null);
      } else {
        _testBinaryMessengerBinding!.defaultBinaryMessenger.setMockDecodedMessageHandler<Object?>(channel, (Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomLiveControllerApi.removeLiveStreamTask was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.removeLiveStreamTask was null, expected non-null String.');
          final String? arg_taskID = (args[1] as String?);
          assert(arg_taskID != null,
              'Argument for dev.flutter.pigeon.RoomLiveControllerApi.removeLiveStreamTask was null, expected non-null String.');
          final SimpleResponse output = await api.removeLiveStreamTask(arg_roomUuid!, arg_taskID!);
          return <Object?>[output];
        });
      }
    }
  }
}
