// Autogenerated from Pigeon (v9.2.5), do not edit directly.
// See also: https://pub.dev/packages/pigeon
// ignore_for_file: public_member_api_docs, non_constant_identifier_names, avoid_as, unused_import, unnecessary_parenthesis, prefer_null_aware_operators, omit_local_variable_types, unused_shown_name, unnecessary_import

import 'dart:async';
import 'dart:typed_data' show Float64List, Int32List, Int64List, Uint8List;

import 'package:flutter/foundation.dart' show ReadBuffer, WriteBuffer;
import 'package:flutter/services.dart';

enum AudioStreamType {
  AudioStreamTypeMain,
  AudioStreamTypeSub,
}

class SimpleResponse {
  SimpleResponse({
    required this.code,
    this.msg,
    this.data1,
    this.data2,
    this.data3,
  });

  int code;

  String? msg;

  int? data1;

  int? data2;

  String? data3;

  Object encode() {
    return <Object?>[
      code,
      msg,
      data1,
      data2,
      data3,
    ];
  }

  static SimpleResponse decode(Object result) {
    result as List<Object?>;
    return SimpleResponse(
      code: result[0]! as int,
      msg: result[1] as String?,
      data1: result[2] as int?,
      data2: result[3] as int?,
      data3: result[4] as String?,
    );
  }
}

class InitializeRequest {
  InitializeRequest({
    required this.appKey,
    this.serverUrl,
    required this.useAssetServerConfig,
    this.serverConfigJson,
    this.extras,
  });

  String appKey;

  String? serverUrl;

  bool useAssetServerConfig;

  String? serverConfigJson;

  Map<String?, String?>? extras;

  Object encode() {
    return <Object?>[
      appKey,
      serverUrl,
      useAssetServerConfig,
      serverConfigJson,
      extras,
    ];
  }

  static InitializeRequest decode(Object result) {
    result as List<Object?>;
    return InitializeRequest(
      appKey: result[0]! as String,
      serverUrl: result[1] as String?,
      useAssetServerConfig: result[2]! as bool,
      serverConfigJson: result[3] as String?,
      extras: (result[4] as Map<Object?, Object?>?)?.cast<String?, String?>(),
    );
  }
}

class SDKVersions {
  SDKVersions({
    this.imVersion,
    this.rtcVersion,
    this.whiteboardVersion,
    this.roomKitVersion,
  });

  String? imVersion;

  String? rtcVersion;

  String? whiteboardVersion;

  String? roomKitVersion;

  Object encode() {
    return <Object?>[
      imVersion,
      rtcVersion,
      whiteboardVersion,
      roomKitVersion,
    ];
  }

  static SDKVersions decode(Object result) {
    result as List<Object?>;
    return SDKVersions(
      imVersion: result[0] as String?,
      rtcVersion: result[1] as String?,
      whiteboardVersion: result[2] as String?,
      roomKitVersion: result[3] as String?,
    );
  }
}

class AuthStatusEvent {
  AuthStatusEvent({
    required this.status,
    required this.isLoggedIn,
  });

  String status;

  bool isLoggedIn;

  Object encode() {
    return <Object?>[
      status,
      isLoggedIn,
    ];
  }

  static AuthStatusEvent decode(Object result) {
    result as List<Object?>;
    return AuthStatusEvent(
      status: result[0]! as String,
      isLoggedIn: result[1]! as bool,
    );
  }
}

class CreateRoomParams {
  CreateRoomParams({
    required this.roomUuid,
    required this.roomName,
    required this.templateId,
    this.password,
    this.seatInitParams,
    this.initialProperties,
  });

  String roomUuid;

  String roomName;

  int templateId;

  String? password;

  SeatInitParams? seatInitParams;

  Map<String?, String?>? initialProperties;

  Object encode() {
    return <Object?>[
      roomUuid,
      roomName,
      templateId,
      password,
      seatInitParams?.encode(),
      initialProperties,
    ];
  }

  static CreateRoomParams decode(Object result) {
    result as List<Object?>;
    return CreateRoomParams(
      roomUuid: result[0]! as String,
      roomName: result[1]! as String,
      templateId: result[2]! as int,
      password: result[3] as String?,
      seatInitParams: result[4] != null
          ? SeatInitParams.decode(result[4]! as List<Object?>)
          : null,
      initialProperties: (result[5] as Map<Object?, Object?>?)?.cast<String?, String?>(),
    );
  }
}

class SeatInitParams {
  SeatInitParams({
    required this.seatCount,
    required this.seatRequestApprovalMode,
    required this.seatInvitationConfirmMode,
  });

  int seatCount;

  int seatRequestApprovalMode;

  int seatInvitationConfirmMode;

  Object encode() {
    return <Object?>[
      seatCount,
      seatRequestApprovalMode,
      seatInvitationConfirmMode,
    ];
  }

  static SeatInitParams decode(Object result) {
    result as List<Object?>;
    return SeatInitParams(
      seatCount: result[0]! as int,
      seatRequestApprovalMode: result[1]! as int,
      seatInvitationConfirmMode: result[2]! as int,
    );
  }
}

class CreateRoomOptions {
  CreateRoomOptions({
    required this.enableRecord,
    required this.enableLive,
    required this.enableRtc,
    required this.enableChatroom,
    required this.enableWhiteboard,
  });

  bool enableRecord;

  bool enableLive;

  bool enableRtc;

  bool enableChatroom;

  bool enableWhiteboard;

  Object encode() {
    return <Object?>[
      enableRecord,
      enableLive,
      enableRtc,
      enableChatroom,
      enableWhiteboard,
    ];
  }

  static CreateRoomOptions decode(Object result) {
    result as List<Object?>;
    return CreateRoomOptions(
      enableRecord: result[0]! as bool,
      enableLive: result[1]! as bool,
      enableRtc: result[2]! as bool,
      enableChatroom: result[3]! as bool,
      enableWhiteboard: result[4]! as bool,
    );
  }
}

class CrossAppAuthorization {
  CrossAppAuthorization({
    required this.appKey,
    required this.user,
    required this.token,
  });

  String appKey;

  String user;

  String token;

  Object encode() {
    return <Object?>[
      appKey,
      user,
      token,
    ];
  }

  static CrossAppAuthorization decode(Object result) {
    result as List<Object?>;
    return CrossAppAuthorization(
      appKey: result[0]! as String,
      user: result[1]! as String,
      token: result[2]! as String,
    );
  }
}

class JoinRoomParams {
  JoinRoomParams({
    required this.roomUuid,
    required this.userName,
    this.avatar,
    required this.role,
    this.password,
    this.crossAppAuthorization,
    this.initialProperties,
  });

  String roomUuid;

  String userName;

  String? avatar;

  String role;

  String? password;

  CrossAppAuthorization? crossAppAuthorization;

  Map<String?, String?>? initialProperties;

  Object encode() {
    return <Object?>[
      roomUuid,
      userName,
      avatar,
      role,
      password,
      crossAppAuthorization?.encode(),
      initialProperties,
    ];
  }

  static JoinRoomParams decode(Object result) {
    result as List<Object?>;
    return JoinRoomParams(
      roomUuid: result[0]! as String,
      userName: result[1]! as String,
      avatar: result[2] as String?,
      role: result[3]! as String,
      password: result[4] as String?,
      crossAppAuthorization: result[5] != null
          ? CrossAppAuthorization.decode(result[5]! as List<Object?>)
          : null,
      initialProperties: (result[6] as Map<Object?, Object?>?)?.cast<String?, String?>(),
    );
  }
}

class JoinRoomOptions {
  JoinRoomOptions({
    required this.enableMyAudioDeviceOnJoinRtc,
  });

  bool enableMyAudioDeviceOnJoinRtc;

  Object encode() {
    return <Object?>[
      enableMyAudioDeviceOnJoinRtc,
    ];
  }

  static JoinRoomOptions decode(Object result) {
    result as List<Object?>;
    return JoinRoomOptions(
      enableMyAudioDeviceOnJoinRtc: result[0]! as bool,
    );
  }
}

class PreviewRoomParams {
  PreviewRoomParams({
    this.value,
  });

  int? value;

  Object encode() {
    return <Object?>[
      value,
    ];
  }

  static PreviewRoomParams decode(Object result) {
    result as List<Object?>;
    return PreviewRoomParams(
      value: result[0] as int?,
    );
  }
}

class PreviewRoomOptions {
  PreviewRoomOptions({
    this.value,
  });

  int? value;

  Object encode() {
    return <Object?>[
      value,
    ];
  }

  static PreviewRoomOptions decode(Object result) {
    result as List<Object?>;
    return PreviewRoomOptions(
      value: result[0] as int?,
    );
  }
}

class RoomRole {
  RoomRole({
    required this.name,
    required this.limit,
    this.params,
  });

  String name;

  int limit;

  RoleParams? params;

  Object encode() {
    return <Object?>[
      name,
      limit,
      params?.encode(),
    ];
  }

  static RoomRole decode(Object result) {
    result as List<Object?>;
    return RoomRole(
      name: result[0]! as String,
      limit: result[1]! as int,
      params: result[2] != null
          ? RoleParams.decode(result[2]! as List<Object?>)
          : null,
    );
  }
}

class RoleParams {
  RoleParams({
    this.video,
    this.audio,
    this.screen,
  });

  RoleVideoParams? video;

  RoleAudioParams? audio;

  RoleScreenParams? screen;

  Object encode() {
    return <Object?>[
      video?.encode(),
      audio?.encode(),
      screen?.encode(),
    ];
  }

  static RoleParams decode(Object result) {
    result as List<Object?>;
    return RoleParams(
      video: result[0] != null
          ? RoleVideoParams.decode(result[0]! as List<Object?>)
          : null,
      audio: result[1] != null
          ? RoleAudioParams.decode(result[1]! as List<Object?>)
          : null,
      screen: result[2] != null
          ? RoleScreenParams.decode(result[2]! as List<Object?>)
          : null,
    );
  }
}

class RoleVideoParams {
  RoleVideoParams({
    required this.width,
    required this.height,
    required this.fps,
  });

  int width;

  int height;

  int fps;

  Object encode() {
    return <Object?>[
      width,
      height,
      fps,
    ];
  }

  static RoleVideoParams decode(Object result) {
    result as List<Object?>;
    return RoleVideoParams(
      width: result[0]! as int,
      height: result[1]! as int,
      fps: result[2]! as int,
    );
  }
}

class RoleScreenParams {
  RoleScreenParams({
    required this.videoProfile,
  });

  String videoProfile;

  Object encode() {
    return <Object?>[
      videoProfile,
    ];
  }

  static RoleScreenParams decode(Object result) {
    result as List<Object?>;
    return RoleScreenParams(
      videoProfile: result[0]! as String,
    );
  }
}

class RoleAudioParams {
  RoleAudioParams({
    required this.profile,
    required this.scenario,
  });

  String profile;

  String scenario;

  Object encode() {
    return <Object?>[
      profile,
      scenario,
    ];
  }

  static RoleAudioParams decode(Object result) {
    result as List<Object?>;
    return RoleAudioParams(
      profile: result[0]! as String,
      scenario: result[1]! as String,
    );
  }
}

class RoomMember {
  RoomMember({
    required this.uuid,
    required this.name,
    this.avatar,
    this.role,
    required this.isAudioOn,
    required this.isVideoOn,
    required this.isInRtcChannel,
    required this.isInChatroom,
    required this.isSharingScreen,
    required this.isSharingWhiteboard,
    this.properties,
    required this.clientType,
  });

  String uuid;

  String name;

  String? avatar;

  RoomRole? role;

  bool isAudioOn;

  bool isVideoOn;

  bool isInRtcChannel;

  bool isInChatroom;

  bool isSharingScreen;

  bool isSharingWhiteboard;

  Map<String?, String?>? properties;

  String clientType;

  Object encode() {
    return <Object?>[
      uuid,
      name,
      avatar,
      role?.encode(),
      isAudioOn,
      isVideoOn,
      isInRtcChannel,
      isInChatroom,
      isSharingScreen,
      isSharingWhiteboard,
      properties,
      clientType,
    ];
  }

  static RoomMember decode(Object result) {
    result as List<Object?>;
    return RoomMember(
      uuid: result[0]! as String,
      name: result[1]! as String,
      avatar: result[2] as String?,
      role: result[3] != null
          ? RoomRole.decode(result[3]! as List<Object?>)
          : null,
      isAudioOn: result[4]! as bool,
      isVideoOn: result[5]! as bool,
      isInRtcChannel: result[6]! as bool,
      isInChatroom: result[7]! as bool,
      isSharingScreen: result[8]! as bool,
      isSharingWhiteboard: result[9]! as bool,
      properties: (result[10] as Map<Object?, Object?>?)?.cast<String?, String?>(),
      clientType: result[11]! as String,
    );
  }
}

class RoomSnapshot {
  RoomSnapshot({
    required this.roomUuid,
    required this.roomName,
    this.password,
    required this.isRoomLocked,
    required this.rtcStartTime,
    this.localMember,
    required this.remoteMembers,
    this.properties,
    required this.isRtcSupported,
    required this.isChatroomSupported,
    required this.isWhiteboardSupported,
    required this.isCloudRecordSupported,
    required this.isLiveSupported,
    required this.isSeatSupported,
    this.sipCid,
    this.remainingSeconds,
  });

  String roomUuid;

  String roomName;

  String? password;

  bool isRoomLocked;

  int rtcStartTime;

  RoomMember? localMember;

  List<RoomMember?> remoteMembers;

  Map<String?, String?>? properties;

  bool isRtcSupported;

  bool isChatroomSupported;

  bool isWhiteboardSupported;

  bool isCloudRecordSupported;

  bool isLiveSupported;

  bool isSeatSupported;

  String? sipCid;

  double? remainingSeconds;

  Object encode() {
    return <Object?>[
      roomUuid,
      roomName,
      password,
      isRoomLocked,
      rtcStartTime,
      localMember?.encode(),
      remoteMembers,
      properties,
      isRtcSupported,
      isChatroomSupported,
      isWhiteboardSupported,
      isCloudRecordSupported,
      isLiveSupported,
      isSeatSupported,
      sipCid,
      remainingSeconds,
    ];
  }

  static RoomSnapshot decode(Object result) {
    result as List<Object?>;
    return RoomSnapshot(
      roomUuid: result[0]! as String,
      roomName: result[1]! as String,
      password: result[2] as String?,
      isRoomLocked: result[3]! as bool,
      rtcStartTime: result[4]! as int,
      localMember: result[5] != null
          ? RoomMember.decode(result[5]! as List<Object?>)
          : null,
      remoteMembers: (result[6] as List<Object?>?)!.cast<RoomMember?>(),
      properties: (result[7] as Map<Object?, Object?>?)?.cast<String?, String?>(),
      isRtcSupported: result[8]! as bool,
      isChatroomSupported: result[9]! as bool,
      isWhiteboardSupported: result[10]! as bool,
      isCloudRecordSupported: result[11]! as bool,
      isLiveSupported: result[12]! as bool,
      isSeatSupported: result[13]! as bool,
      sipCid: result[14] as String?,
      remainingSeconds: result[15] as double?,
    );
  }
}

class JoinRoomResponse {
  JoinRoomResponse({
    required this.code,
    this.msg,
    this.snapshot,
  });

  int code;

  String? msg;

  RoomSnapshot? snapshot;

  Object encode() {
    return <Object?>[
      code,
      msg,
      snapshot?.encode(),
    ];
  }

  static JoinRoomResponse decode(Object result) {
    result as List<Object?>;
    return JoinRoomResponse(
      code: result[0]! as int,
      msg: result[1] as String?,
      snapshot: result[2] != null
          ? RoomSnapshot.decode(result[2]! as List<Object?>)
          : null,
    );
  }
}

class RoomMessageAttachment {
  RoomMessageAttachment({
    this.displayName,
    this.extension,
    this.md5,
    required this.url,
    required this.size,
    this.thumbPath,
    this.path,
    this.width,
    this.height,
  });

  String? displayName;

  String? extension;

  String? md5;

  String url;

  int size;

  String? thumbPath;

  String? path;

  int? width;

  int? height;

  Object encode() {
    return <Object?>[
      displayName,
      extension,
      md5,
      url,
      size,
      thumbPath,
      path,
      width,
      height,
    ];
  }

  static RoomMessageAttachment decode(Object result) {
    result as List<Object?>;
    return RoomMessageAttachment(
      displayName: result[0] as String?,
      extension: result[1] as String?,
      md5: result[2] as String?,
      url: result[3]! as String,
      size: result[4]! as int,
      thumbPath: result[5] as String?,
      path: result[6] as String?,
      width: result[7] as int?,
      height: result[8] as int?,
    );
  }
}

class RoomMessage {
  RoomMessage({
    required this.uuid,
    required this.type,
    this.fromAccount,
    required this.fromNick,
    this.content,
    this.toAccounts,
    required this.time,
    this.attachment,
  });

  String uuid;

  String type;

  String? fromAccount;

  String fromNick;

  String? content;

  List<String?>? toAccounts;

  int time;

  RoomMessageAttachment? attachment;

  Object encode() {
    return <Object?>[
      uuid,
      type,
      fromAccount,
      fromNick,
      content,
      toAccounts,
      time,
      attachment?.encode(),
    ];
  }

  static RoomMessage decode(Object result) {
    result as List<Object?>;
    return RoomMessage(
      uuid: result[0]! as String,
      type: result[1]! as String,
      fromAccount: result[2] as String?,
      fromNick: result[3]! as String,
      content: result[4] as String?,
      toAccounts: (result[5] as List<Object?>?)?.cast<String?>(),
      time: result[6]! as int,
      attachment: result[7] != null
          ? RoomMessageAttachment.decode(result[7]! as List<Object?>)
          : null,
    );
  }
}

class RoomMessageEvent {
  RoomMessageEvent({
    required this.roomUuid,
    required this.messages,
  });

  String roomUuid;

  List<RoomMessage?> messages;

  Object encode() {
    return <Object?>[
      roomUuid,
      messages,
    ];
  }

  static RoomMessageEvent decode(Object result) {
    result as List<Object?>;
    return RoomMessageEvent(
      roomUuid: result[0]! as String,
      messages: (result[1] as List<Object?>?)!.cast<RoomMessage?>(),
    );
  }
}

class PropertyEvent {
  PropertyEvent({
    required this.roomUuid,
    this.userUuid,
    required this.properties,
  });

  String roomUuid;

  String? userUuid;

  Map<String?, String?> properties;

  Object encode() {
    return <Object?>[
      roomUuid,
      userUuid,
      properties,
    ];
  }

  static PropertyEvent decode(Object result) {
    result as List<Object?>;
    return PropertyEvent(
      roomUuid: result[0]! as String,
      userUuid: result[1] as String?,
      properties: (result[2] as Map<Object?, Object?>?)!.cast<String?, String?>(),
    );
  }
}

class MemberRoleChangeEvent {
  MemberRoleChangeEvent({
    required this.roomUuid,
    required this.userUuid,
    this.role,
  });

  String roomUuid;

  String userUuid;

  RoomRole? role;

  Object encode() {
    return <Object?>[
      roomUuid,
      userUuid,
      role?.encode(),
    ];
  }

  static MemberRoleChangeEvent decode(Object result) {
    result as List<Object?>;
    return MemberRoleChangeEvent(
      roomUuid: result[0]! as String,
      userUuid: result[1]! as String,
      role: result[2] != null
          ? RoomRole.decode(result[2]! as List<Object?>)
          : null,
    );
  }
}

class MembersEvent {
  MembersEvent({
    required this.roomUuid,
    this.members,
    this.uuids,
  });

  String roomUuid;

  List<RoomMember?>? members;

  List<String?>? uuids;

  Object encode() {
    return <Object?>[
      roomUuid,
      members,
      uuids,
    ];
  }

  static MembersEvent decode(Object result) {
    result as List<Object?>;
    return MembersEvent(
      roomUuid: result[0]! as String,
      members: (result[1] as List<Object?>?)?.cast<RoomMember?>(),
      uuids: (result[2] as List<Object?>?)?.cast<String?>(),
    );
  }
}

class CommonEvent {
  CommonEvent({
    required this.roomUuid,
    this.userUuid,
    this.arg1,
    this.arg2,
    this.sArg1,
    this.sArg2,
  });

  String roomUuid;

  String? userUuid;

  int? arg1;

  int? arg2;

  String? sArg1;

  String? sArg2;

  Object encode() {
    return <Object?>[
      roomUuid,
      userUuid,
      arg1,
      arg2,
      sArg1,
      sArg2,
    ];
  }

  static CommonEvent decode(Object result) {
    result as List<Object?>;
    return CommonEvent(
      roomUuid: result[0]! as String,
      userUuid: result[1] as String?,
      arg1: result[2] as int?,
      arg2: result[3] as int?,
      sArg1: result[4] as String?,
      sArg2: result[5] as String?,
    );
  }
}

class MemberToggleEvent {
  MemberToggleEvent({
    required this.roomUuid,
    required this.userUuid,
    this.operateUuid,
    required this.isOn,
  });

  String roomUuid;

  String userUuid;

  String? operateUuid;

  bool isOn;

  Object encode() {
    return <Object?>[
      roomUuid,
      userUuid,
      operateUuid,
      isOn,
    ];
  }

  static MemberToggleEvent decode(Object result) {
    result as List<Object?>;
    return MemberToggleEvent(
      roomUuid: result[0]! as String,
      userUuid: result[1]! as String,
      operateUuid: result[2] as String?,
      isOn: result[3]! as bool,
    );
  }
}

class RoomToggleEvent {
  RoomToggleEvent({
    required this.roomUuid,
    required this.isOn,
  });

  String roomUuid;

  bool isOn;

  Object encode() {
    return <Object?>[
      roomUuid,
      isOn,
    ];
  }

  static RoomToggleEvent decode(Object result) {
    result as List<Object?>;
    return RoomToggleEvent(
      roomUuid: result[0]! as String,
      isOn: result[1]! as bool,
    );
  }
}

class MemberVolumeInfo {
  MemberVolumeInfo({
    required this.userUuid,
    required this.volume,
  });

  String userUuid;

  int volume;

  Object encode() {
    return <Object?>[
      userUuid,
      volume,
    ];
  }

  static MemberVolumeInfo decode(Object result) {
    result as List<Object?>;
    return MemberVolumeInfo(
      userUuid: result[0]! as String,
      volume: result[1]! as int,
    );
  }
}

class LocalVolumeEvent {
  LocalVolumeEvent({
    required this.roomUuid,
    required this.volume,
    required this.enableVad,
  });

  String roomUuid;

  int volume;

  bool enableVad;

  Object encode() {
    return <Object?>[
      roomUuid,
      volume,
      enableVad,
    ];
  }

  static LocalVolumeEvent decode(Object result) {
    result as List<Object?>;
    return LocalVolumeEvent(
      roomUuid: result[0]! as String,
      volume: result[1]! as int,
      enableVad: result[2]! as bool,
    );
  }
}

class RtcVolumeEvent {
  RtcVolumeEvent({
    required this.roomUuid,
    this.volumes,
    required this.totalVolume,
  });

  String roomUuid;

  List<MemberVolumeInfo?>? volumes;

  int totalVolume;

  Object encode() {
    return <Object?>[
      roomUuid,
      volumes,
      totalVolume,
    ];
  }

  static RtcVolumeEvent decode(Object result) {
    result as List<Object?>;
    return RtcVolumeEvent(
      roomUuid: result[0]! as String,
      volumes: (result[1] as List<Object?>?)?.cast<MemberVolumeInfo?>(),
      totalVolume: result[2]! as int,
    );
  }
}

class WhiteboardShowFileChooserTypeEvent {
  WhiteboardShowFileChooserTypeEvent({
    required this.roomUuid,
    required this.types,
  });

  String roomUuid;

  List<String?> types;

  Object encode() {
    return <Object?>[
      roomUuid,
      types,
    ];
  }

  static WhiteboardShowFileChooserTypeEvent decode(Object result) {
    result as List<Object?>;
    return WhiteboardShowFileChooserTypeEvent(
      roomUuid: result[0]! as String,
      types: (result[1] as List<Object?>?)!.cast<String?>(),
    );
  }
}

class RtcVirtualBackgroundSourceEvent {
  RtcVirtualBackgroundSourceEvent({
    required this.roomUuid,
    required this.enabled,
    required this.reason,
  });

  String roomUuid;

  bool enabled;

  int reason;

  Object encode() {
    return <Object?>[
      roomUuid,
      enabled,
      reason,
    ];
  }

  static RtcVirtualBackgroundSourceEvent decode(Object result) {
    result as List<Object?>;
    return RtcVirtualBackgroundSourceEvent(
      roomUuid: result[0]! as String,
      enabled: result[1]! as bool,
      reason: result[2]! as int,
    );
  }
}

class CreateAudioMixingOption {
  CreateAudioMixingOption({
    required this.path,
    required this.loopCount,
    required this.sendEnabled,
    required this.sendVolume,
    required this.playbackEnabled,
    required this.playbackVolume,
    required this.startTimeStamp,
    this.sendWithAudioType,
  });

  String path;

  int loopCount;

  bool sendEnabled;

  int sendVolume;

  bool playbackEnabled;

  int playbackVolume;

  int startTimeStamp;

  AudioStreamType? sendWithAudioType;

  Object encode() {
    return <Object?>[
      path,
      loopCount,
      sendEnabled,
      sendVolume,
      playbackEnabled,
      playbackVolume,
      startTimeStamp,
      sendWithAudioType?.index,
    ];
  }

  static CreateAudioMixingOption decode(Object result) {
    result as List<Object?>;
    return CreateAudioMixingOption(
      path: result[0]! as String,
      loopCount: result[1]! as int,
      sendEnabled: result[2]! as bool,
      sendVolume: result[3]! as int,
      playbackEnabled: result[4]! as bool,
      playbackVolume: result[5]! as int,
      startTimeStamp: result[6]! as int,
      sendWithAudioType: result[7] != null
          ? AudioStreamType.values[result[7]! as int]
          : null,
    );
  }
}

class CreateAudioEffectOption {
  CreateAudioEffectOption({
    required this.path,
    required this.loopCount,
    required this.sendEnabled,
    required this.sendVolume,
    required this.playbackEnabled,
    required this.playbackVolume,
    required this.startTimeStamp,
    required this.progressInterval,
    this.sendWithAudioType,
  });

  String path;

  int loopCount;

  bool sendEnabled;

  int sendVolume;

  bool playbackEnabled;

  int playbackVolume;

  int startTimeStamp;

  int progressInterval;

  AudioStreamType? sendWithAudioType;

  Object encode() {
    return <Object?>[
      path,
      loopCount,
      sendEnabled,
      sendVolume,
      playbackEnabled,
      playbackVolume,
      startTimeStamp,
      progressInterval,
      sendWithAudioType?.index,
    ];
  }

  static CreateAudioEffectOption decode(Object result) {
    result as List<Object?>;
    return CreateAudioEffectOption(
      path: result[0]! as String,
      loopCount: result[1]! as int,
      sendEnabled: result[2]! as bool,
      sendVolume: result[3]! as int,
      playbackEnabled: result[4]! as bool,
      playbackVolume: result[5]! as int,
      startTimeStamp: result[6]! as int,
      progressInterval: result[7]! as int,
      sendWithAudioType: result[8] != null
          ? AudioStreamType.values[result[8]! as int]
          : null,
    );
  }
}

class RoomLiveStreamTaskInfo {
  RoomLiveStreamTaskInfo({
    required this.taskID,
    required this.streamURL,
    required this.serverRecordEnabled,
    this.extraInfo,
    this.layout,
    this.config,
    required this.lsMode,
  });

  String taskID;

  String streamURL;

  bool serverRecordEnabled;

  String? extraInfo;

  RoomLiveStreamLayout? layout;

  RoomLiveConfig? config;

  int lsMode;

  Object encode() {
    return <Object?>[
      taskID,
      streamURL,
      serverRecordEnabled,
      extraInfo,
      layout?.encode(),
      config?.encode(),
      lsMode,
    ];
  }

  static RoomLiveStreamTaskInfo decode(Object result) {
    result as List<Object?>;
    return RoomLiveStreamTaskInfo(
      taskID: result[0]! as String,
      streamURL: result[1]! as String,
      serverRecordEnabled: result[2]! as bool,
      extraInfo: result[3] as String?,
      layout: result[4] != null
          ? RoomLiveStreamLayout.decode(result[4]! as List<Object?>)
          : null,
      config: result[5] != null
          ? RoomLiveConfig.decode(result[5]! as List<Object?>)
          : null,
      lsMode: result[6]! as int,
    );
  }
}

class RoomLiveStreamLayout {
  RoomLiveStreamLayout({
    required this.width,
    required this.height,
    required this.backgroundColor,
    this.users,
    this.bgImage,
  });

  int width;

  int height;

  int backgroundColor;

  List<RoomLiveStreamUserTranscoding?>? users;

  RoomLiveStreamImageInfo? bgImage;

  Object encode() {
    return <Object?>[
      width,
      height,
      backgroundColor,
      users,
      bgImage?.encode(),
    ];
  }

  static RoomLiveStreamLayout decode(Object result) {
    result as List<Object?>;
    return RoomLiveStreamLayout(
      width: result[0]! as int,
      height: result[1]! as int,
      backgroundColor: result[2]! as int,
      users: (result[3] as List<Object?>?)?.cast<RoomLiveStreamUserTranscoding?>(),
      bgImage: result[4] != null
          ? RoomLiveStreamImageInfo.decode(result[4]! as List<Object?>)
          : null,
    );
  }
}

class RoomLiveStreamUserTranscoding {
  RoomLiveStreamUserTranscoding({
    required this.userUuid,
    required this.videoPush,
    required this.x,
    required this.y,
    required this.width,
    required this.height,
    required this.audioPush,
    required this.zOrder,
    required this.adaption,
  });

  String userUuid;

  bool videoPush;

  int x;

  int y;

  int width;

  int height;

  bool audioPush;

  int zOrder;

  int adaption;

  Object encode() {
    return <Object?>[
      userUuid,
      videoPush,
      x,
      y,
      width,
      height,
      audioPush,
      zOrder,
      adaption,
    ];
  }

  static RoomLiveStreamUserTranscoding decode(Object result) {
    result as List<Object?>;
    return RoomLiveStreamUserTranscoding(
      userUuid: result[0]! as String,
      videoPush: result[1]! as bool,
      x: result[2]! as int,
      y: result[3]! as int,
      width: result[4]! as int,
      height: result[5]! as int,
      audioPush: result[6]! as bool,
      zOrder: result[7]! as int,
      adaption: result[8]! as int,
    );
  }
}

class RoomLiveStreamImageInfo {
  RoomLiveStreamImageInfo({
    this.url,
    required this.x,
    required this.y,
    required this.width,
    required this.height,
  });

  String? url;

  int x;

  int y;

  int width;

  int height;

  Object encode() {
    return <Object?>[
      url,
      x,
      y,
      width,
      height,
    ];
  }

  static RoomLiveStreamImageInfo decode(Object result) {
    result as List<Object?>;
    return RoomLiveStreamImageInfo(
      url: result[0] as String?,
      x: result[1]! as int,
      y: result[2]! as int,
      width: result[3]! as int,
      height: result[4]! as int,
    );
  }
}

class RoomLiveConfig {
  RoomLiveConfig({
    required this.singleVideoPassthrough,
    required this.audioBitrate,
    required this.sampleRate,
    required this.channels,
    required this.audioCodecProfile,
  });

  bool singleVideoPassthrough;

  int audioBitrate;

  int sampleRate;

  int channels;

  int audioCodecProfile;

  Object encode() {
    return <Object?>[
      singleVideoPassthrough,
      audioBitrate,
      sampleRate,
      channels,
      audioCodecProfile,
    ];
  }

  static RoomLiveConfig decode(Object result) {
    result as List<Object?>;
    return RoomLiveConfig(
      singleVideoPassthrough: result[0]! as bool,
      audioBitrate: result[1]! as int,
      sampleRate: result[2]! as int,
      channels: result[3]! as int,
      audioCodecProfile: result[4]! as int,
    );
  }
}

class NERoomVirtualBackgroundSource {
  NERoomVirtualBackgroundSource({
    required this.backgroundSourceType,
    required this.color,
    required this.source,
    required this.blurDegree,
  });

  int backgroundSourceType;

  int color;

  String source;

  int blurDegree;

  Object encode() {
    return <Object?>[
      backgroundSourceType,
      color,
      source,
      blurDegree,
    ];
  }

  static NERoomVirtualBackgroundSource decode(Object result) {
    result as List<Object?>;
    return NERoomVirtualBackgroundSource(
      backgroundSourceType: result[0]! as int,
      color: result[1]! as int,
      source: result[2]! as String,
      blurDegree: result[3]! as int,
    );
  }
}

class StartScreenShareRequest {
  StartScreenShareRequest({
    required this.roomUuid,
    this.videoProfile,
    this.frameRate,
    this.iosAppGroup,
  });

  String roomUuid;

  int? videoProfile;

  int? frameRate;

  String? iosAppGroup;

  Object encode() {
    return <Object?>[
      roomUuid,
      videoProfile,
      frameRate,
      iosAppGroup,
    ];
  }

  static StartScreenShareRequest decode(Object result) {
    result as List<Object?>;
    return StartScreenShareRequest(
      roomUuid: result[0]! as String,
      videoProfile: result[1] as int?,
      frameRate: result[2] as int?,
      iosAppGroup: result[3] as String?,
    );
  }
}

class PassThroughMessageEvent {
  PassThroughMessageEvent({
    this.roomUuid,
    this.senderUuid,
    required this.data,
    required this.commandId,
  });

  String? roomUuid;

  String? senderUuid;

  String data;

  int commandId;

  Object encode() {
    return <Object?>[
      roomUuid,
      senderUuid,
      data,
      commandId,
    ];
  }

  static PassThroughMessageEvent decode(Object result) {
    result as List<Object?>;
    return PassThroughMessageEvent(
      roomUuid: result[0] as String?,
      senderUuid: result[1] as String?,
      data: result[2]! as String,
      commandId: result[3]! as int,
    );
  }
}

class RoomLiveRequest {
  RoomLiveRequest({
    required this.title,
    required this.liveLayout,
    this.password,
    required this.userUuidList,
    this.extensionConfig,
  });

  String title;

  int liveLayout;

  String? password;

  List<String?> userUuidList;

  String? extensionConfig;

  Object encode() {
    return <Object?>[
      title,
      liveLayout,
      password,
      userUuidList,
      extensionConfig,
    ];
  }

  static RoomLiveRequest decode(Object result) {
    result as List<Object?>;
    return RoomLiveRequest(
      title: result[0]! as String,
      liveLayout: result[1]! as int,
      password: result[2] as String?,
      userUuidList: (result[3] as List<Object?>?)!.cast<String?>(),
      extensionConfig: result[4] as String?,
    );
  }
}

class RoomLiveInfo {
  RoomLiveInfo({
    this.taskId,
    this.pushUrl,
    this.chatRoomId,
    this.httpPullUrl,
    this.rtmpPullUrl,
    this.hlsPullUrl,
    this.title,
    this.liveLayout,
    this.password,
    this.userUuidList,
    required this.state,
    this.extensionConfig,
  });

  String? taskId;

  String? pushUrl;

  String? chatRoomId;

  String? httpPullUrl;

  String? rtmpPullUrl;

  String? hlsPullUrl;

  String? title;

  int? liveLayout;

  String? password;

  List<String?>? userUuidList;

  int state;

  String? extensionConfig;

  Object encode() {
    return <Object?>[
      taskId,
      pushUrl,
      chatRoomId,
      httpPullUrl,
      rtmpPullUrl,
      hlsPullUrl,
      title,
      liveLayout,
      password,
      userUuidList,
      state,
      extensionConfig,
    ];
  }

  static RoomLiveInfo decode(Object result) {
    result as List<Object?>;
    return RoomLiveInfo(
      taskId: result[0] as String?,
      pushUrl: result[1] as String?,
      chatRoomId: result[2] as String?,
      httpPullUrl: result[3] as String?,
      rtmpPullUrl: result[4] as String?,
      hlsPullUrl: result[5] as String?,
      title: result[6] as String?,
      liveLayout: result[7] as int?,
      password: result[8] as String?,
      userUuidList: (result[9] as List<Object?>?)?.cast<String?>(),
      state: result[10]! as int,
      extensionConfig: result[11] as String?,
    );
  }
}

class RoomLiveResponse {
  RoomLiveResponse({
    required this.code,
    this.msg,
    this.liveInfo,
  });

  int code;

  String? msg;

  RoomLiveInfo? liveInfo;

  Object encode() {
    return <Object?>[
      code,
      msg,
      liveInfo?.encode(),
    ];
  }

  static RoomLiveResponse decode(Object result) {
    result as List<Object?>;
    return RoomLiveResponse(
      code: result[0]! as int,
      msg: result[1] as String?,
      liveInfo: result[2] != null
          ? RoomLiveInfo.decode(result[2]! as List<Object?>)
          : null,
    );
  }
}

class ChatRoomMember {
  ChatRoomMember({
    this.nick,
    this.avatar,
  });

  String? nick;

  String? avatar;

  Object encode() {
    return <Object?>[
      nick,
      avatar,
    ];
  }

  static ChatRoomMember decode(Object result) {
    result as List<Object?>;
    return ChatRoomMember(
      nick: result[0] as String?,
      avatar: result[1] as String?,
    );
  }
}

class ChatRoomMembersResponse {
  ChatRoomMembersResponse({
    required this.code,
    this.msg,
    required this.chatRoomMembers,
  });

  int code;

  String? msg;

  List<ChatRoomMember?> chatRoomMembers;

  Object encode() {
    return <Object?>[
      code,
      msg,
      chatRoomMembers,
    ];
  }

  static ChatRoomMembersResponse decode(Object result) {
    result as List<Object?>;
    return ChatRoomMembersResponse(
      code: result[0]! as int,
      msg: result[1] as String?,
      chatRoomMembers: (result[2] as List<Object?>?)!.cast<ChatRoomMember?>(),
    );
  }
}

class SeatInfoResponse {
  SeatInfoResponse({
    required this.code,
    this.msg,
    this.seatInfo,
  });

  int code;

  String? msg;

  SeatInfo? seatInfo;

  Object encode() {
    return <Object?>[
      code,
      msg,
      seatInfo?.encode(),
    ];
  }

  static SeatInfoResponse decode(Object result) {
    result as List<Object?>;
    return SeatInfoResponse(
      code: result[0]! as int,
      msg: result[1] as String?,
      seatInfo: result[2] != null
          ? SeatInfo.decode(result[2]! as List<Object?>)
          : null,
    );
  }
}

class SeatInfo {
  SeatInfo({
    this.creator,
    this.managers,
    this.seatItems,
  });

  String? creator;

  List<String?>? managers;

  List<SeatItem?>? seatItems;

  Object encode() {
    return <Object?>[
      creator,
      managers,
      seatItems,
    ];
  }

  static SeatInfo decode(Object result) {
    result as List<Object?>;
    return SeatInfo(
      creator: result[0] as String?,
      managers: (result[1] as List<Object?>?)?.cast<String?>(),
      seatItems: (result[2] as List<Object?>?)?.cast<SeatItem?>(),
    );
  }
}

class SeatItem {
  SeatItem({
    required this.index,
    required this.status,
    this.user,
    this.userName,
    this.icon,
    required this.onSeatType,
    required this.updated,
  });

  int index;

  int status;

  String? user;

  String? userName;

  String? icon;

  int onSeatType;

  int updated;

  Object encode() {
    return <Object?>[
      index,
      status,
      user,
      userName,
      icon,
      onSeatType,
      updated,
    ];
  }

  static SeatItem decode(Object result) {
    result as List<Object?>;
    return SeatItem(
      index: result[0]! as int,
      status: result[1]! as int,
      user: result[2] as String?,
      userName: result[3] as String?,
      icon: result[4] as String?,
      onSeatType: result[5]! as int,
      updated: result[6]! as int,
    );
  }
}

class SeatRequestListResponse {
  SeatRequestListResponse({
    required this.code,
    this.msg,
    required this.seatRequestList,
  });

  int code;

  String? msg;

  List<SeatRequestItem?> seatRequestList;

  Object encode() {
    return <Object?>[
      code,
      msg,
      seatRequestList,
    ];
  }

  static SeatRequestListResponse decode(Object result) {
    result as List<Object?>;
    return SeatRequestListResponse(
      code: result[0]! as int,
      msg: result[1] as String?,
      seatRequestList: (result[2] as List<Object?>?)!.cast<SeatRequestItem?>(),
    );
  }
}

class SeatRequestItem {
  SeatRequestItem({
    required this.index,
    required this.user,
    this.userName,
    this.icon,
  });

  int index;

  String user;

  String? userName;

  String? icon;

  Object encode() {
    return <Object?>[
      index,
      user,
      userName,
      icon,
    ];
  }

  static SeatRequestItem decode(Object result) {
    result as List<Object?>;
    return SeatRequestItem(
      index: result[0]! as int,
      user: result[1]! as String,
      userName: result[2] as String?,
      icon: result[3] as String?,
    );
  }
}

class SeatInvitationListResponse {
  SeatInvitationListResponse({
    required this.code,
    this.msg,
    required this.seatInvitationList,
  });

  int code;

  String? msg;

  List<SeatInvitationItem?> seatInvitationList;

  Object encode() {
    return <Object?>[
      code,
      msg,
      seatInvitationList,
    ];
  }

  static SeatInvitationListResponse decode(Object result) {
    result as List<Object?>;
    return SeatInvitationListResponse(
      code: result[0]! as int,
      msg: result[1] as String?,
      seatInvitationList: (result[2] as List<Object?>?)!.cast<SeatInvitationItem?>(),
    );
  }
}

class SeatInvitationItem {
  SeatInvitationItem({
    required this.index,
    required this.user,
  });

  int index;

  String user;

  Object encode() {
    return <Object?>[
      index,
      user,
    ];
  }

  static SeatInvitationItem decode(Object result) {
    result as List<Object?>;
    return SeatInvitationItem(
      index: result[0]! as int,
      user: result[1]! as String,
    );
  }
}

class RoomStatsEvent {
  RoomStatsEvent({
    required this.txBytes,
    required this.rxBytes,
    required this.cpuAppUsage,
    required this.cpuTotalUsage,
    required this.memoryAppUsageRatio,
    required this.memoryTotalUsageRatio,
    required this.memoryAppUsageInKBytes,
    required this.totalDuration,
    required this.txAudioBytes,
    required this.txVideoBytes,
    required this.rxAudioBytes,
    required this.rxVideoBytes,
    required this.rxAudioKBitRate,
    required this.rxVideoKBitRate,
    required this.txAudioKBitRate,
    required this.txVideoKBitRate,
    required this.upRtt,
    required this.downRtt,
    required this.txAudioPacketLossRate,
    required this.txVideoPacketLossRate,
    required this.txAudioPacketLossSum,
    required this.txVideoPacketLossSum,
    required this.txAudioJitter,
    required this.txVideoJitter,
    required this.rxAudioPacketLossRate,
    required this.rxVideoPacketLossRate,
    required this.rxAudioPacketLossSum,
    required this.rxVideoPacketLossSum,
    required this.rxAudioJitter,
    required this.rxVideoJitter,
  });

  int txBytes;

  int rxBytes;

  int cpuAppUsage;

  int cpuTotalUsage;

  int memoryAppUsageRatio;

  int memoryTotalUsageRatio;

  int memoryAppUsageInKBytes;

  int totalDuration;

  int txAudioBytes;

  int txVideoBytes;

  int rxAudioBytes;

  int rxVideoBytes;

  int rxAudioKBitRate;

  int rxVideoKBitRate;

  int txAudioKBitRate;

  int txVideoKBitRate;

  int upRtt;

  int downRtt;

  int txAudioPacketLossRate;

  int txVideoPacketLossRate;

  int txAudioPacketLossSum;

  int txVideoPacketLossSum;

  int txAudioJitter;

  int txVideoJitter;

  int rxAudioPacketLossRate;

  int rxVideoPacketLossRate;

  int rxAudioPacketLossSum;

  int rxVideoPacketLossSum;

  int rxAudioJitter;

  int rxVideoJitter;

  Object encode() {
    return <Object?>[
      txBytes,
      rxBytes,
      cpuAppUsage,
      cpuTotalUsage,
      memoryAppUsageRatio,
      memoryTotalUsageRatio,
      memoryAppUsageInKBytes,
      totalDuration,
      txAudioBytes,
      txVideoBytes,
      rxAudioBytes,
      rxVideoBytes,
      rxAudioKBitRate,
      rxVideoKBitRate,
      txAudioKBitRate,
      txVideoKBitRate,
      upRtt,
      downRtt,
      txAudioPacketLossRate,
      txVideoPacketLossRate,
      txAudioPacketLossSum,
      txVideoPacketLossSum,
      txAudioJitter,
      txVideoJitter,
      rxAudioPacketLossRate,
      rxVideoPacketLossRate,
      rxAudioPacketLossSum,
      rxVideoPacketLossSum,
      rxAudioJitter,
      rxVideoJitter,
    ];
  }

  static RoomStatsEvent decode(Object result) {
    result as List<Object?>;
    return RoomStatsEvent(
      txBytes: result[0]! as int,
      rxBytes: result[1]! as int,
      cpuAppUsage: result[2]! as int,
      cpuTotalUsage: result[3]! as int,
      memoryAppUsageRatio: result[4]! as int,
      memoryTotalUsageRatio: result[5]! as int,
      memoryAppUsageInKBytes: result[6]! as int,
      totalDuration: result[7]! as int,
      txAudioBytes: result[8]! as int,
      txVideoBytes: result[9]! as int,
      rxAudioBytes: result[10]! as int,
      rxVideoBytes: result[11]! as int,
      rxAudioKBitRate: result[12]! as int,
      rxVideoKBitRate: result[13]! as int,
      txAudioKBitRate: result[14]! as int,
      txVideoKBitRate: result[15]! as int,
      upRtt: result[16]! as int,
      downRtt: result[17]! as int,
      txAudioPacketLossRate: result[18]! as int,
      txVideoPacketLossRate: result[19]! as int,
      txAudioPacketLossSum: result[20]! as int,
      txVideoPacketLossSum: result[21]! as int,
      txAudioJitter: result[22]! as int,
      txVideoJitter: result[23]! as int,
      rxAudioPacketLossRate: result[24]! as int,
      rxVideoPacketLossRate: result[25]! as int,
      rxAudioPacketLossSum: result[26]! as int,
      rxVideoPacketLossSum: result[27]! as int,
      rxAudioJitter: result[28]! as int,
      rxVideoJitter: result[29]! as int,
    );
  }
}

class RoomNetworkQuality {
  RoomNetworkQuality({
    this.userId,
    required this.upStatus,
    required this.downStatus,
  });

  String? userId;

  int upStatus;

  int downStatus;

  Object encode() {
    return <Object?>[
      userId,
      upStatus,
      downStatus,
    ];
  }

  static RoomNetworkQuality decode(Object result) {
    result as List<Object?>;
    return RoomNetworkQuality(
      userId: result[0] as String?,
      upStatus: result[1]! as int,
      downStatus: result[2]! as int,
    );
  }
}

class _RoomKitApiCodec extends StandardMessageCodec {
  const _RoomKitApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is InitializeRequest) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is SDKVersions) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return InitializeRequest.decode(readValue(buffer)!);
      case 129: 
        return SDKVersions.decode(readValue(buffer)!);
      case 130: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomKitApi {
  /// Constructor for [RoomKitApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomKitApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomKitApiCodec();

  Future<SimpleResponse> initialize(InitializeRequest arg_options) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomKitApi.initialize', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_options]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SDKVersions> sdkVersions() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomKitApi.sdkVersions', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SDKVersions?)!;
    }
  }

  Future<int> switchLanguage(String arg_languageCode) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomKitApi.switchLanguage', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_languageCode]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as int?)!;
    }
  }
}

class _AuthServiceApiCodec extends StandardMessageCodec {
  const _AuthServiceApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SimpleResponse) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class AuthServiceApi {
  /// Constructor for [AuthServiceApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  AuthServiceApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _AuthServiceApiCodec();

  Future<SimpleResponse> login(String arg_account, String arg_token) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.AuthServiceApi.login', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_account, arg_token]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> logout() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.AuthServiceApi.logout', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<bool> isLoggedIn() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.AuthServiceApi.isLoggedIn', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as bool?)!;
    }
  }
}

class _AuthStatusEventSinkCodec extends StandardMessageCodec {
  const _AuthStatusEventSinkCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is AuthStatusEvent) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return AuthStatusEvent.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class AuthStatusEventSink {
  static const MessageCodec<Object?> codec = _AuthStatusEventSinkCodec();

  void onAuthStatusChanged(AuthStatusEvent event);

  static void setup(AuthStatusEventSink? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.AuthStatusEventSink.onAuthStatusChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.AuthStatusEventSink.onAuthStatusChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final AuthStatusEvent? arg_event = (args[0] as AuthStatusEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.AuthStatusEventSink.onAuthStatusChanged was null, expected non-null AuthStatusEvent.');
          api.onAuthStatusChanged(arg_event!);
          return;
        });
      }
    }
  }
}

class _RoomServiceApiCodec extends StandardMessageCodec {
  const _RoomServiceApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is CreateRoomOptions) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is CreateRoomParams) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is CrossAppAuthorization) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is JoinRoomOptions) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is JoinRoomParams) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else if (value is JoinRoomResponse) {
      buffer.putUint8(133);
      writeValue(buffer, value.encode());
    } else if (value is PreviewRoomOptions) {
      buffer.putUint8(134);
      writeValue(buffer, value.encode());
    } else if (value is PreviewRoomParams) {
      buffer.putUint8(135);
      writeValue(buffer, value.encode());
    } else if (value is RoleAudioParams) {
      buffer.putUint8(136);
      writeValue(buffer, value.encode());
    } else if (value is RoleParams) {
      buffer.putUint8(137);
      writeValue(buffer, value.encode());
    } else if (value is RoleScreenParams) {
      buffer.putUint8(138);
      writeValue(buffer, value.encode());
    } else if (value is RoleVideoParams) {
      buffer.putUint8(139);
      writeValue(buffer, value.encode());
    } else if (value is RoomMember) {
      buffer.putUint8(140);
      writeValue(buffer, value.encode());
    } else if (value is RoomRole) {
      buffer.putUint8(141);
      writeValue(buffer, value.encode());
    } else if (value is RoomSnapshot) {
      buffer.putUint8(142);
      writeValue(buffer, value.encode());
    } else if (value is SeatInitParams) {
      buffer.putUint8(143);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(144);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return CreateRoomOptions.decode(readValue(buffer)!);
      case 129: 
        return CreateRoomParams.decode(readValue(buffer)!);
      case 130: 
        return CrossAppAuthorization.decode(readValue(buffer)!);
      case 131: 
        return JoinRoomOptions.decode(readValue(buffer)!);
      case 132: 
        return JoinRoomParams.decode(readValue(buffer)!);
      case 133: 
        return JoinRoomResponse.decode(readValue(buffer)!);
      case 134: 
        return PreviewRoomOptions.decode(readValue(buffer)!);
      case 135: 
        return PreviewRoomParams.decode(readValue(buffer)!);
      case 136: 
        return RoleAudioParams.decode(readValue(buffer)!);
      case 137: 
        return RoleParams.decode(readValue(buffer)!);
      case 138: 
        return RoleScreenParams.decode(readValue(buffer)!);
      case 139: 
        return RoleVideoParams.decode(readValue(buffer)!);
      case 140: 
        return RoomMember.decode(readValue(buffer)!);
      case 141: 
        return RoomRole.decode(readValue(buffer)!);
      case 142: 
        return RoomSnapshot.decode(readValue(buffer)!);
      case 143: 
        return SeatInitParams.decode(readValue(buffer)!);
      case 144: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomServiceApi {
  /// Constructor for [RoomServiceApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomServiceApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomServiceApiCodec();

  Future<SimpleResponse> createRoom(CreateRoomParams arg_params, CreateRoomOptions arg_options) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomServiceApi.createRoom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_params, arg_options]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<JoinRoomResponse> joinRoom(JoinRoomParams arg_params, JoinRoomOptions arg_options) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomServiceApi.joinRoom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_params, arg_options]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as JoinRoomResponse?)!;
    }
  }

  Future<SimpleResponse> previewRoom(PreviewRoomParams arg_params, PreviewRoomOptions arg_options) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomServiceApi.previewRoom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_params, arg_options]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _RoomContextApiCodec extends StandardMessageCodec {
  const _RoomContextApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SimpleResponse) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomContextApi {
  /// Constructor for [RoomContextApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomContextApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomContextApiCodec();

  Future<SimpleResponse> changeMyName(String arg_roomUuid, String arg_name) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.changeMyName', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_name]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> changeMemberRole(String arg_roomUuid, String arg_userUuid, String arg_role) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.changeMemberRole', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid, arg_role]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> handOverMyRole(String arg_roomUuid, String arg_userUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.handOverMyRole', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> kickMemberOut(String arg_roomUuid, String arg_userUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.kickMemberOut', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> leaveRoom(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.leaveRoom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> endRoom(String arg_roomUuid, bool arg_isForce) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.endRoom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_isForce]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> updateRoomProperty(String arg_roomUuid, String arg_key, String arg_value, String? arg_associatedUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.updateRoomProperty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_key, arg_value, arg_associatedUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> deleteRoomProperty(String arg_roomUuid, String arg_key) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.deleteRoomProperty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_key]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> updateMemberProperty(String arg_roomUuid, String arg_userUuid, String arg_key, String arg_value) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.updateMemberProperty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid, arg_key, arg_value]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> deleteMemberProperty(String arg_roomUuid, String arg_userUuid, String arg_key) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.deleteMemberProperty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid, arg_key]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> lockRoom(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.lockRoom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> unlockRoom(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomContextApi.unlockRoom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _PreviewRoomEventSinkCodec extends StandardMessageCodec {
  const _PreviewRoomEventSinkCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is RtcVirtualBackgroundSourceEvent) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return RtcVirtualBackgroundSourceEvent.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class PreviewRoomEventSink {
  static const MessageCodec<Object?> codec = _PreviewRoomEventSinkCodec();

  void onRtcVirtualBackgroundSourceEnabled(RtcVirtualBackgroundSourceEvent event);

  static void setup(PreviewRoomEventSink? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.PreviewRoomEventSink.onRtcVirtualBackgroundSourceEnabled', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.PreviewRoomEventSink.onRtcVirtualBackgroundSourceEnabled was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final RtcVirtualBackgroundSourceEvent? arg_event = (args[0] as RtcVirtualBackgroundSourceEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.PreviewRoomEventSink.onRtcVirtualBackgroundSourceEnabled was null, expected non-null RtcVirtualBackgroundSourceEvent.');
          api.onRtcVirtualBackgroundSourceEnabled(arg_event!);
          return;
        });
      }
    }
  }
}

class _RoomEventSinkCodec extends StandardMessageCodec {
  const _RoomEventSinkCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is CommonEvent) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is LocalVolumeEvent) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is MemberRoleChangeEvent) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is MemberToggleEvent) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is MemberVolumeInfo) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else if (value is MembersEvent) {
      buffer.putUint8(133);
      writeValue(buffer, value.encode());
    } else if (value is PropertyEvent) {
      buffer.putUint8(134);
      writeValue(buffer, value.encode());
    } else if (value is RoleAudioParams) {
      buffer.putUint8(135);
      writeValue(buffer, value.encode());
    } else if (value is RoleParams) {
      buffer.putUint8(136);
      writeValue(buffer, value.encode());
    } else if (value is RoleScreenParams) {
      buffer.putUint8(137);
      writeValue(buffer, value.encode());
    } else if (value is RoleVideoParams) {
      buffer.putUint8(138);
      writeValue(buffer, value.encode());
    } else if (value is RoomMember) {
      buffer.putUint8(139);
      writeValue(buffer, value.encode());
    } else if (value is RoomMessage) {
      buffer.putUint8(140);
      writeValue(buffer, value.encode());
    } else if (value is RoomMessageAttachment) {
      buffer.putUint8(141);
      writeValue(buffer, value.encode());
    } else if (value is RoomMessageEvent) {
      buffer.putUint8(142);
      writeValue(buffer, value.encode());
    } else if (value is RoomRole) {
      buffer.putUint8(143);
      writeValue(buffer, value.encode());
    } else if (value is RoomToggleEvent) {
      buffer.putUint8(144);
      writeValue(buffer, value.encode());
    } else if (value is RtcVirtualBackgroundSourceEvent) {
      buffer.putUint8(145);
      writeValue(buffer, value.encode());
    } else if (value is RtcVolumeEvent) {
      buffer.putUint8(146);
      writeValue(buffer, value.encode());
    } else if (value is WhiteboardShowFileChooserTypeEvent) {
      buffer.putUint8(147);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return CommonEvent.decode(readValue(buffer)!);
      case 129: 
        return LocalVolumeEvent.decode(readValue(buffer)!);
      case 130: 
        return MemberRoleChangeEvent.decode(readValue(buffer)!);
      case 131: 
        return MemberToggleEvent.decode(readValue(buffer)!);
      case 132: 
        return MemberVolumeInfo.decode(readValue(buffer)!);
      case 133: 
        return MembersEvent.decode(readValue(buffer)!);
      case 134: 
        return PropertyEvent.decode(readValue(buffer)!);
      case 135: 
        return RoleAudioParams.decode(readValue(buffer)!);
      case 136: 
        return RoleParams.decode(readValue(buffer)!);
      case 137: 
        return RoleScreenParams.decode(readValue(buffer)!);
      case 138: 
        return RoleVideoParams.decode(readValue(buffer)!);
      case 139: 
        return RoomMember.decode(readValue(buffer)!);
      case 140: 
        return RoomMessage.decode(readValue(buffer)!);
      case 141: 
        return RoomMessageAttachment.decode(readValue(buffer)!);
      case 142: 
        return RoomMessageEvent.decode(readValue(buffer)!);
      case 143: 
        return RoomRole.decode(readValue(buffer)!);
      case 144: 
        return RoomToggleEvent.decode(readValue(buffer)!);
      case 145: 
        return RtcVirtualBackgroundSourceEvent.decode(readValue(buffer)!);
      case 146: 
        return RtcVolumeEvent.decode(readValue(buffer)!);
      case 147: 
        return WhiteboardShowFileChooserTypeEvent.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomEventSink {
  static const MessageCodec<Object?> codec = _RoomEventSinkCodec();

  void onRoomEnd(String roomUuid, String reason);

  void onRoomPropertiesChanged(PropertyEvent event);

  void onRoomPropertiesDeleted(PropertyEvent event);

  void onMemberPropertiesChanged(PropertyEvent event);

  void onMemberPropertiesDeleted(PropertyEvent event);

  void onMemberRoleChanged(MemberRoleChangeEvent event);

  void onMemberNameChanged(CommonEvent event);

  void onMemberJoinRoom(MembersEvent event);

  void onMemberLeaveRoom(MembersEvent event);

  void onMemberJoinRtcChannel(MembersEvent event);

  void onMemberLeaveRtcChannel(MembersEvent event);

  void onRtcChannelError(CommonEvent event);

  void onMemberJoinChatroom(MembersEvent event);

  void onMemberLeaveChatroom(MembersEvent event);

  void onMemberAudioMuteChanged(MemberToggleEvent event);

  void onMemberVideoMuteChanged(MemberToggleEvent event);

  void onMemberScreenShareStateChanged(MemberToggleEvent event);

  void onReceiveChatroomMessages(RoomMessageEvent messages);

  void onChatroomMessageAttachmentProgress(CommonEvent messages);

  void onMemberWhiteboardShareStateChanged(MemberToggleEvent event);

  void onWhiteboardError(CommonEvent event);

  void onRoomLockStateChanged(RoomToggleEvent event);

  void onRoomLiveStateChanged(CommonEvent event);

  void onRtcAudioVolumeIndication(RtcVolumeEvent event);

  void onRtcAudioOutputDeviceChanged(CommonEvent event);

  void onLocalAudioVolumeIndicationwithVad(LocalVolumeEvent event);

  void onRtcVirtualBackgroundSourceEnabled(RtcVirtualBackgroundSourceEvent event);

  Future<String?> onWhiteboardShowFileChooser(WhiteboardShowFileChooserTypeEvent event);

  void onAudioMixingStateChanged(CommonEvent event);

  static void setup(RoomEventSink? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRoomEnd', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRoomEnd was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRoomEnd was null, expected non-null String.');
          final String? arg_reason = (args[1] as String?);
          assert(arg_reason != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRoomEnd was null, expected non-null String.');
          api.onRoomEnd(arg_roomUuid!, arg_reason!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRoomPropertiesChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRoomPropertiesChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final PropertyEvent? arg_event = (args[0] as PropertyEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRoomPropertiesChanged was null, expected non-null PropertyEvent.');
          api.onRoomPropertiesChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRoomPropertiesDeleted', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRoomPropertiesDeleted was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final PropertyEvent? arg_event = (args[0] as PropertyEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRoomPropertiesDeleted was null, expected non-null PropertyEvent.');
          api.onRoomPropertiesDeleted(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberPropertiesChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberPropertiesChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final PropertyEvent? arg_event = (args[0] as PropertyEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberPropertiesChanged was null, expected non-null PropertyEvent.');
          api.onMemberPropertiesChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberPropertiesDeleted', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberPropertiesDeleted was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final PropertyEvent? arg_event = (args[0] as PropertyEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberPropertiesDeleted was null, expected non-null PropertyEvent.');
          api.onMemberPropertiesDeleted(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberRoleChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberRoleChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MemberRoleChangeEvent? arg_event = (args[0] as MemberRoleChangeEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberRoleChanged was null, expected non-null MemberRoleChangeEvent.');
          api.onMemberRoleChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberNameChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberNameChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final CommonEvent? arg_event = (args[0] as CommonEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberNameChanged was null, expected non-null CommonEvent.');
          api.onMemberNameChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberJoinRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberJoinRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MembersEvent? arg_event = (args[0] as MembersEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberJoinRoom was null, expected non-null MembersEvent.');
          api.onMemberJoinRoom(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberLeaveRoom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberLeaveRoom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MembersEvent? arg_event = (args[0] as MembersEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberLeaveRoom was null, expected non-null MembersEvent.');
          api.onMemberLeaveRoom(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberJoinRtcChannel', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberJoinRtcChannel was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MembersEvent? arg_event = (args[0] as MembersEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberJoinRtcChannel was null, expected non-null MembersEvent.');
          api.onMemberJoinRtcChannel(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberLeaveRtcChannel', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberLeaveRtcChannel was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MembersEvent? arg_event = (args[0] as MembersEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberLeaveRtcChannel was null, expected non-null MembersEvent.');
          api.onMemberLeaveRtcChannel(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRtcChannelError', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRtcChannelError was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final CommonEvent? arg_event = (args[0] as CommonEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRtcChannelError was null, expected non-null CommonEvent.');
          api.onRtcChannelError(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberJoinChatroom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberJoinChatroom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MembersEvent? arg_event = (args[0] as MembersEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberJoinChatroom was null, expected non-null MembersEvent.');
          api.onMemberJoinChatroom(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberLeaveChatroom', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberLeaveChatroom was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MembersEvent? arg_event = (args[0] as MembersEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberLeaveChatroom was null, expected non-null MembersEvent.');
          api.onMemberLeaveChatroom(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberAudioMuteChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberAudioMuteChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MemberToggleEvent? arg_event = (args[0] as MemberToggleEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberAudioMuteChanged was null, expected non-null MemberToggleEvent.');
          api.onMemberAudioMuteChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberVideoMuteChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberVideoMuteChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MemberToggleEvent? arg_event = (args[0] as MemberToggleEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberVideoMuteChanged was null, expected non-null MemberToggleEvent.');
          api.onMemberVideoMuteChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberScreenShareStateChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberScreenShareStateChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MemberToggleEvent? arg_event = (args[0] as MemberToggleEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberScreenShareStateChanged was null, expected non-null MemberToggleEvent.');
          api.onMemberScreenShareStateChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onReceiveChatroomMessages', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onReceiveChatroomMessages was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final RoomMessageEvent? arg_messages = (args[0] as RoomMessageEvent?);
          assert(arg_messages != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onReceiveChatroomMessages was null, expected non-null RoomMessageEvent.');
          api.onReceiveChatroomMessages(arg_messages!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onChatroomMessageAttachmentProgress', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onChatroomMessageAttachmentProgress was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final CommonEvent? arg_messages = (args[0] as CommonEvent?);
          assert(arg_messages != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onChatroomMessageAttachmentProgress was null, expected non-null CommonEvent.');
          api.onChatroomMessageAttachmentProgress(arg_messages!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onMemberWhiteboardShareStateChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onMemberWhiteboardShareStateChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final MemberToggleEvent? arg_event = (args[0] as MemberToggleEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onMemberWhiteboardShareStateChanged was null, expected non-null MemberToggleEvent.');
          api.onMemberWhiteboardShareStateChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onWhiteboardError', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onWhiteboardError was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final CommonEvent? arg_event = (args[0] as CommonEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onWhiteboardError was null, expected non-null CommonEvent.');
          api.onWhiteboardError(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRoomLockStateChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRoomLockStateChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final RoomToggleEvent? arg_event = (args[0] as RoomToggleEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRoomLockStateChanged was null, expected non-null RoomToggleEvent.');
          api.onRoomLockStateChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRoomLiveStateChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRoomLiveStateChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final CommonEvent? arg_event = (args[0] as CommonEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRoomLiveStateChanged was null, expected non-null CommonEvent.');
          api.onRoomLiveStateChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRtcAudioVolumeIndication', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRtcAudioVolumeIndication was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final RtcVolumeEvent? arg_event = (args[0] as RtcVolumeEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRtcAudioVolumeIndication was null, expected non-null RtcVolumeEvent.');
          api.onRtcAudioVolumeIndication(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRtcAudioOutputDeviceChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRtcAudioOutputDeviceChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final CommonEvent? arg_event = (args[0] as CommonEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRtcAudioOutputDeviceChanged was null, expected non-null CommonEvent.');
          api.onRtcAudioOutputDeviceChanged(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onLocalAudioVolumeIndicationwithVad', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onLocalAudioVolumeIndicationwithVad was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final LocalVolumeEvent? arg_event = (args[0] as LocalVolumeEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onLocalAudioVolumeIndicationwithVad was null, expected non-null LocalVolumeEvent.');
          api.onLocalAudioVolumeIndicationwithVad(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onRtcVirtualBackgroundSourceEnabled', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onRtcVirtualBackgroundSourceEnabled was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final RtcVirtualBackgroundSourceEvent? arg_event = (args[0] as RtcVirtualBackgroundSourceEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onRtcVirtualBackgroundSourceEnabled was null, expected non-null RtcVirtualBackgroundSourceEvent.');
          api.onRtcVirtualBackgroundSourceEnabled(arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onWhiteboardShowFileChooser', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onWhiteboardShowFileChooser was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final WhiteboardShowFileChooserTypeEvent? arg_event = (args[0] as WhiteboardShowFileChooserTypeEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onWhiteboardShowFileChooser was null, expected non-null WhiteboardShowFileChooserTypeEvent.');
          final String? output = await api.onWhiteboardShowFileChooser(arg_event!);
          return output;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomEventSink.onAudioMixingStateChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomEventSink.onAudioMixingStateChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final CommonEvent? arg_event = (args[0] as CommonEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomEventSink.onAudioMixingStateChanged was null, expected non-null CommonEvent.');
          api.onAudioMixingStateChanged(arg_event!);
          return;
        });
      }
    }
  }
}

class _SeatEventSinkCodec extends StandardMessageCodec {
  const _SeatEventSinkCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SeatItem) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SeatItem.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class SeatEventSink {
  static const MessageCodec<Object?> codec = _SeatEventSinkCodec();

  void onSeatManagerAdded(List<String?> managers);

  void onSeatManagerRemoved(List<String?> managers);

  void onSeatRequestSubmitted(int seatIndex, String user);

  void onSeatRequestCancelled(int seatIndex, String user);

  void onSeatRequestApproved(int seatIndex, String user, String operateBy, bool isAutoAgree);

  void onSeatRequestRejected(int seatIndex, String user, String operateBy);

  void onSeatInvitationReceived(int seatIndex, String user, String operateBy);

  void onSeatInvitationCancelled(int seatIndex, String user, String operateBy);

  void onSeatInvitationAccepted(int seatIndex, String user, bool isAutoAgree);

  void onSeatInvitationRejected(int seatIndex, String user);

  void onSeatLeave(int seatIndex, String user);

  void onSeatKicked(int seatIndex, String user, String operateBy);

  void onSeatListChanged(List<SeatItem?> seatItems);

  static void setup(SeatEventSink? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatManagerAdded', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatManagerAdded was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final List<String?>? arg_managers = (args[0] as List<Object?>?)?.cast<String?>();
          assert(arg_managers != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatManagerAdded was null, expected non-null List<String?>.');
          api.onSeatManagerAdded(arg_managers!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatManagerRemoved', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatManagerRemoved was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final List<String?>? arg_managers = (args[0] as List<Object?>?)?.cast<String?>();
          assert(arg_managers != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatManagerRemoved was null, expected non-null List<String?>.');
          api.onSeatManagerRemoved(arg_managers!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatRequestSubmitted', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestSubmitted was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestSubmitted was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestSubmitted was null, expected non-null String.');
          api.onSeatRequestSubmitted(arg_seatIndex!, arg_user!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatRequestCancelled', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestCancelled was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestCancelled was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestCancelled was null, expected non-null String.');
          api.onSeatRequestCancelled(arg_seatIndex!, arg_user!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatRequestApproved', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestApproved was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestApproved was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestApproved was null, expected non-null String.');
          final String? arg_operateBy = (args[2] as String?);
          assert(arg_operateBy != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestApproved was null, expected non-null String.');
          final bool? arg_isAutoAgree = (args[3] as bool?);
          assert(arg_isAutoAgree != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestApproved was null, expected non-null bool.');
          api.onSeatRequestApproved(arg_seatIndex!, arg_user!, arg_operateBy!, arg_isAutoAgree!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatRequestRejected', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestRejected was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestRejected was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestRejected was null, expected non-null String.');
          final String? arg_operateBy = (args[2] as String?);
          assert(arg_operateBy != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatRequestRejected was null, expected non-null String.');
          api.onSeatRequestRejected(arg_seatIndex!, arg_user!, arg_operateBy!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatInvitationReceived', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationReceived was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationReceived was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationReceived was null, expected non-null String.');
          final String? arg_operateBy = (args[2] as String?);
          assert(arg_operateBy != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationReceived was null, expected non-null String.');
          api.onSeatInvitationReceived(arg_seatIndex!, arg_user!, arg_operateBy!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatInvitationCancelled', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationCancelled was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationCancelled was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationCancelled was null, expected non-null String.');
          final String? arg_operateBy = (args[2] as String?);
          assert(arg_operateBy != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationCancelled was null, expected non-null String.');
          api.onSeatInvitationCancelled(arg_seatIndex!, arg_user!, arg_operateBy!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatInvitationAccepted', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationAccepted was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationAccepted was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationAccepted was null, expected non-null String.');
          final bool? arg_isAutoAgree = (args[2] as bool?);
          assert(arg_isAutoAgree != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationAccepted was null, expected non-null bool.');
          api.onSeatInvitationAccepted(arg_seatIndex!, arg_user!, arg_isAutoAgree!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatInvitationRejected', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationRejected was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationRejected was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatInvitationRejected was null, expected non-null String.');
          api.onSeatInvitationRejected(arg_seatIndex!, arg_user!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatLeave', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatLeave was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatLeave was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatLeave was null, expected non-null String.');
          api.onSeatLeave(arg_seatIndex!, arg_user!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatKicked', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatKicked was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final int? arg_seatIndex = (args[0] as int?);
          assert(arg_seatIndex != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatKicked was null, expected non-null int.');
          final String? arg_user = (args[1] as String?);
          assert(arg_user != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatKicked was null, expected non-null String.');
          final String? arg_operateBy = (args[2] as String?);
          assert(arg_operateBy != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatKicked was null, expected non-null String.');
          api.onSeatKicked(arg_seatIndex!, arg_user!, arg_operateBy!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.SeatEventSink.onSeatListChanged', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.SeatEventSink.onSeatListChanged was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final List<SeatItem?>? arg_seatItems = (args[0] as List<Object?>?)?.cast<SeatItem?>();
          assert(arg_seatItems != null,
              'Argument for dev.flutter.pigeon.SeatEventSink.onSeatListChanged was null, expected non-null List<SeatItem?>.');
          api.onSeatListChanged(arg_seatItems!);
          return;
        });
      }
    }
  }
}

class _RoomChatControllerApiCodec extends StandardMessageCodec {
  const _RoomChatControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is ChatRoomMember) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is ChatRoomMembersResponse) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return ChatRoomMember.decode(readValue(buffer)!);
      case 129: 
        return ChatRoomMembersResponse.decode(readValue(buffer)!);
      case 130: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomChatControllerApi {
  /// Constructor for [RoomChatControllerApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomChatControllerApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomChatControllerApiCodec();

  Future<SimpleResponse> joinChatroom(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.joinChatroom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> leaveChatroom(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.leaveChatroom', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> sendBroadcastTextMessage(String arg_roomUuid, String arg_message) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.sendBroadcastTextMessage', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_message]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> sendDirectTextMessage(String arg_roomUuid, String arg_userUuid, String arg_message) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.sendDirectTextMessage', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid, arg_message]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> sendGroupTextMessage(String arg_roomUuid, List<String?> arg_userUuids, String arg_message) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.sendGroupTextMessage', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuids, arg_message]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<ChatRoomMembersResponse> fetchChatRoomMembers(String arg_roomUuid, int arg_queryType, int arg_limit) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.fetchChatRoomMembers', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_queryType, arg_limit]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as ChatRoomMembersResponse?)!;
    }
  }

  Future<SimpleResponse> sendImageMessage(String arg_roomUuid, String arg_messageUuid, String arg_imagePath, List<String?> arg_userUuids) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.sendImageMessage', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_messageUuid, arg_imagePath, arg_userUuids]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> sendFileMessage(String arg_roomUuid, String arg_messageUuid, String arg_filePath, List<String?> arg_userUuids) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.sendFileMessage', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_messageUuid, arg_filePath, arg_userUuids]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> downloadAttachment(String arg_roomUuid, String arg_messageUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.downloadAttachment', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_messageUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> cancelDownloadAttachment(String arg_roomUuid, String arg_messageUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomChatControllerApi.cancelDownloadAttachment', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_messageUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _RoomSeatControllerApiCodec extends StandardMessageCodec {
  const _RoomSeatControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SeatInfo) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is SeatInfoResponse) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is SeatInvitationItem) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is SeatInvitationListResponse) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is SeatItem) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else if (value is SeatRequestItem) {
      buffer.putUint8(133);
      writeValue(buffer, value.encode());
    } else if (value is SeatRequestListResponse) {
      buffer.putUint8(134);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(135);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SeatInfo.decode(readValue(buffer)!);
      case 129: 
        return SeatInfoResponse.decode(readValue(buffer)!);
      case 130: 
        return SeatInvitationItem.decode(readValue(buffer)!);
      case 131: 
        return SeatInvitationListResponse.decode(readValue(buffer)!);
      case 132: 
        return SeatItem.decode(readValue(buffer)!);
      case 133: 
        return SeatRequestItem.decode(readValue(buffer)!);
      case 134: 
        return SeatRequestListResponse.decode(readValue(buffer)!);
      case 135: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomSeatControllerApi {
  /// Constructor for [RoomSeatControllerApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomSeatControllerApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomSeatControllerApiCodec();

  Future<SimpleResponse> submitSeatRequest(String arg_roomUuid, int arg_seatIndex, bool arg_exclusive) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.submitSeatRequest', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_seatIndex, arg_exclusive]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> cancelSeatRequest(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatRequest', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> leaveSeat(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.leaveSeat', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> approveSeatRequest(String arg_roomUuid, String arg_user) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.approveSeatRequest', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_user]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> rejectSeatRequest(String arg_roomUuid, String arg_user) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatRequest', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_user]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> kickSeat(String arg_roomUuid, String arg_user) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.kickSeat', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_user]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> sendSeatInvitation(String arg_roomUuid, int arg_seatIndex, String arg_user) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.sendSeatInvitation', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_seatIndex, arg_user]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> cancelSeatInvitation(String arg_roomUuid, String arg_user) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.cancelSeatInvitation', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_user]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> acceptSeatInvitation(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.acceptSeatInvitation', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> rejectSeatInvitation(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.rejectSeatInvitation', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> closeSeats(String arg_roomUuid, List<int?> arg_seatIndices) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.closeSeats', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_seatIndices]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> openSeats(String arg_roomUuid, List<int?> arg_seatIndices) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.openSeats', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_seatIndices]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SeatInfoResponse> getSeatInfo(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.getSeatInfo', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SeatInfoResponse?)!;
    }
  }

  Future<SeatRequestListResponse> getSeatRequestList(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.getSeatRequestList', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SeatRequestListResponse?)!;
    }
  }

  Future<SeatInvitationListResponse> getSeatInvitationList(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomSeatControllerApi.getSeatInvitationList', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SeatInvitationListResponse?)!;
    }
  }
}

class _RoomRtcControllerApiCodec extends StandardMessageCodec {
  const _RoomRtcControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is CreateAudioEffectOption) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is CreateAudioMixingOption) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is NERoomVirtualBackgroundSource) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is StartScreenShareRequest) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return CreateAudioEffectOption.decode(readValue(buffer)!);
      case 129: 
        return CreateAudioMixingOption.decode(readValue(buffer)!);
      case 130: 
        return NERoomVirtualBackgroundSource.decode(readValue(buffer)!);
      case 131: 
        return SimpleResponse.decode(readValue(buffer)!);
      case 132: 
        return StartScreenShareRequest.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomRtcControllerApi {
  /// Constructor for [RoomRtcControllerApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomRtcControllerApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomRtcControllerApiCodec();

  Future<SimpleResponse> joinRtcChannel(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.joinRtcChannel', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> leaveRtcChannel(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.leaveRtcChannel', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> muteMyAudio(String arg_roomUuid, bool arg_enableMediaPub) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.muteMyAudio', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_enableMediaPub]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> unmuteMyAudio(String arg_roomUuid, bool arg_enableMediaPub) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyAudio', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_enableMediaPub]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableMediaPub(String arg_roomUuid, int arg_mediaType, bool arg_enable) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.enableMediaPub', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_mediaType, arg_enable]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> pauseLocalAudioRecording(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.pauseLocalAudioRecording', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> resumeLocalAudioRecording(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.resumeLocalAudioRecording', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> muteMemberAudio(String arg_roomUuid, String arg_uuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.muteMemberAudio', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_uuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> unmuteMemberAudio(String arg_roomUuid, String arg_uuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberAudio', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_uuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> muteMemberVideo(String arg_roomUuid, String arg_uuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.muteMemberVideo', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_uuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> unmuteMemberVideo(String arg_roomUuid, String arg_uuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.unmuteMemberVideo', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_uuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> pauseLocalVideoCapture(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.pauseLocalVideoCapture', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> resumeLocalVideoCapture(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.resumeLocalVideoCapture', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> unmuteMyVideo(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.unmuteMyVideo', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> muteMyVideo(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.muteMyVideo', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopScreenShare(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.stopScreenShare', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> startScreenShare(StartScreenShareRequest arg_request) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.startScreenShare', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_request]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopMemberScreenShare(String arg_roomUuid, String arg_uuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.stopMemberScreenShare', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_uuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> subscribeRemoteVideoStream(String arg_roomUuid, String arg_userUuid, int arg_streamType, bool arg_subscribe) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteVideoStream', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid, arg_streamType, arg_subscribe]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> subscribeRemoteSubStreamVideo(String arg_roomUuid, String arg_userUuid, bool arg_subscribe) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.subscribeRemoteSubStreamVideo', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid, arg_subscribe]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setSpeakerphoneOn(String arg_roomUuid, bool arg_on) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setSpeakerphoneOn', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_on]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> isSpeakerphoneOn(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.isSpeakerphoneOn', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopAudioDump(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.stopAudioDump', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> startAudioDump(String arg_roomUuid, int arg_type) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.startAudioDump', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_type]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableAudioVolumeIndication(String arg_roomUuid, bool arg_enable, int arg_interval, bool arg_vad) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.enableAudioVolumeIndication', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_enable, arg_interval, arg_vad]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> startRtcChannelMediaRelay(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.startRtcChannelMediaRelay', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopRtcChannelMediaRelay(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.stopRtcChannelMediaRelay', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableEarBack(String arg_roomUuid, bool arg_enable, int arg_volume) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.enableEarBack', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_enable, arg_volume]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> startAudioMixing(String arg_roomUuid, CreateAudioMixingOption arg_option) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.startAudioMixing', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_option]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> playEffect(String arg_roomUuid, int arg_id, CreateAudioEffectOption arg_option) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.playEffect', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_id, arg_option]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopAudioMixing(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.stopAudioMixing', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopEffect(String arg_roomUuid, int arg_id) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.stopEffect', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_id]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setAudioMixingSendVolume(String arg_roomUuid, int arg_volume) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingSendVolume', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_volume]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setAudioMixingPlaybackVolume(String arg_roomUuid, int arg_volume) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setAudioMixingPlaybackVolume', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_volume]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setEffectSendVolume(String arg_roomUuid, int arg_id, int arg_volume) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setEffectSendVolume', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_id, arg_volume]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setEffectPlaybackVolume(String arg_roomUuid, int arg_id, int arg_volume) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setEffectPlaybackVolume', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_id, arg_volume]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopAllEffects(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.stopAllEffects', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> adjustUserPlaybackSignalVolume(String arg_roomUuid, String arg_userUuid, int arg_volume) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.adjustUserPlaybackSignalVolume', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid, arg_volume]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> adjustPlaybackSignalVolume(String arg_roomUuid, int arg_volume) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.adjustPlaybackSignalVolume', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_volume]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> switchCamera(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.switchCamera', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> addBeautyFilter(String arg_roomUuid, String arg_path) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.addBeautyFilter', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_path]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> addBeautySticker(String arg_roomUuid, String arg_path) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.addBeautySticker', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_path]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableBeauty(String arg_roomUuid, bool arg_isOpenBeauty) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.enableBeauty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_isOpenBeauty]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> removeBeautyFilter(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.removeBeautyFilter', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> removeBeautySticker(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.removeBeautySticker', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> startBeauty(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.startBeauty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopBeauty(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.stopBeauty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setBeautyFilterLevel(String arg_roomUuid, double arg_level) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setBeautyFilterLevel', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_level]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setBeautyEffect(String arg_roomUuid, int arg_beautyType, double arg_level) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setBeautyEffect', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_beautyType, arg_level]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableVirtualBackground(String arg_roomUuid, bool arg_enabled, NERoomVirtualBackgroundSource arg_backgroundSource) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.enableVirtualBackground', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_enabled, arg_backgroundSource]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> pauseAudioMixing(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.pauseAudioMixing', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> adjustRecordingSignalVolume(String arg_roomUuid, int arg_volume) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.adjustRecordingSignalVolume', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_volume]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> resumeAudioMixing(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.resumeAudioMixing', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setRecordDeviceMute(String arg_roomUuid, bool arg_mute) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setRecordDeviceMute', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_mute]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setClientRole(String arg_roomUuid, int arg_role) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setClientRole', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_role]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setLocalAudioProfile(String arg_roomUuid, int arg_profile, int arg_scenario) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setLocalAudioProfile', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_profile, arg_scenario]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setChannelProfile(String arg_roomUuid, int arg_value) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.setChannelProfile', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_value]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableAudioAINS(String arg_roomUuid, bool arg_enable) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.enableAudioAINS', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_enable]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableLoopbackRecording(String arg_roomUuid, bool arg_enable) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcControllerApi.enableLoopbackRecording', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_enable]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _PreviewRoomRtcControllerApiCodec extends StandardMessageCodec {
  const _PreviewRoomRtcControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is NERoomVirtualBackgroundSource) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return NERoomVirtualBackgroundSource.decode(readValue(buffer)!);
      case 129: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class PreviewRoomRtcControllerApi {
  /// Constructor for [PreviewRoomRtcControllerApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  PreviewRoomRtcControllerApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _PreviewRoomRtcControllerApiCodec();

  Future<SimpleResponse> startPreview() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.startPreview', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopPreview(bool arg_releaseRtc) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.stopPreview', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_releaseRtc]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> switchCamera() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.switchCamera', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> addBeautyFilter(String arg_path) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.addBeautyFilter', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_path]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> addBeautySticker(String arg_path) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.addBeautySticker', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_path]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableBeauty(bool arg_isOpenBeauty) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableBeauty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_isOpenBeauty]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> removeBeautyFilter() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.removeBeautyFilter', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> removeBeautySticker() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.removeBeautySticker', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> startBeauty() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.startBeauty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopBeauty() async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.stopBeauty', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(null) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setBeautyFilterLevel(double arg_level) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyFilterLevel', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_level]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setBeautyEffect(int arg_beautyType, double arg_level) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.setBeautyEffect', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_beautyType, arg_level]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> enableVirtualBackground(bool arg_enabled, NERoomVirtualBackgroundSource arg_backgroundSource) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.PreviewRoomRtcControllerApi.enableVirtualBackground', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_enabled, arg_backgroundSource]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _RoomRtcVideoRenderCodec extends StandardMessageCodec {
  const _RoomRtcVideoRenderCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SimpleResponse) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomRtcVideoRender {
  /// Constructor for [RoomRtcVideoRender].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomRtcVideoRender({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomRtcVideoRenderCodec();

  Future<SimpleResponse> createVideoRenderer(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcVideoRender.createVideoRenderer', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setupLocalVideoRenderer(int arg_textureId) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcVideoRender.setupLocalVideoRenderer', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_textureId]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> detachLocalVideoRenderer(bool arg_subStream, int arg_textureId) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcVideoRender.detachLocalVideoRenderer', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_subStream, arg_textureId]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> detachRemoteVideoRenderer(String arg_userUuid, bool arg_subStream, int arg_textureId) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcVideoRender.detachRemoteVideoRenderer', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_userUuid, arg_subStream, arg_textureId]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setMirror(int arg_textureId, bool arg_mirror) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcVideoRender.setMirror', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_textureId, arg_mirror]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setupRemoteSubStreamVideoRenderer(String arg_userUuid, int arg_textureId) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteSubStreamVideoRenderer', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_userUuid, arg_textureId]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setupRemoteVideoRenderer(String arg_userUuid, int arg_textureId) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcVideoRender.setupRemoteVideoRenderer', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_userUuid, arg_textureId]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> disposeVideoRenderer(int arg_textureId) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomRtcVideoRender.disposeVideoRenderer', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_textureId]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _RoomWhiteboardControllerApiCodec extends StandardMessageCodec {
  const _RoomWhiteboardControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is SimpleResponse) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomWhiteboardControllerApi {
  /// Constructor for [RoomWhiteboardControllerApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomWhiteboardControllerApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomWhiteboardControllerApiCodec();

  Future<SimpleResponse> startWhiteboardShare(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomWhiteboardControllerApi.startWhiteboardShare', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopWhiteboardShare(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomWhiteboardControllerApi.stopWhiteboardShare', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setEnableDraw(String arg_roomUuid, bool arg_enable) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomWhiteboardControllerApi.setEnableDraw', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_enable]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> stopMemberWhiteboardShare(String arg_roomUuid, String arg_userUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomWhiteboardControllerApi.stopMemberWhiteboardShare', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> setCanvasBackgroundColor(String arg_roomUuid, String arg_color) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomWhiteboardControllerApi.setCanvasBackgroundColor', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_color]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> lockCameraWithContent(String arg_roomUuid, int arg_width, int arg_height) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomWhiteboardControllerApi.lockCameraWithContent', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_width, arg_height]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _MessageEventSinkCodec extends StandardMessageCodec {
  const _MessageEventSinkCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is PassThroughMessageEvent) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return PassThroughMessageEvent.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class MessageEventSink {
  static const MessageCodec<Object?> codec = _MessageEventSinkCodec();

  void onReceivePassThroughMessage(PassThroughMessageEvent messageEvent);

  static void setup(MessageEventSink? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.MessageEventSink.onReceivePassThroughMessage', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.MessageEventSink.onReceivePassThroughMessage was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final PassThroughMessageEvent? arg_messageEvent = (args[0] as PassThroughMessageEvent?);
          assert(arg_messageEvent != null,
              'Argument for dev.flutter.pigeon.MessageEventSink.onReceivePassThroughMessage was null, expected non-null PassThroughMessageEvent.');
          api.onReceivePassThroughMessage(arg_messageEvent!);
          return;
        });
      }
    }
  }
}

class _MessageServiceApiCodec extends StandardMessageCodec {
  const _MessageServiceApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is CrossAppAuthorization) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return CrossAppAuthorization.decode(readValue(buffer)!);
      case 129: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class MessageServiceApi {
  /// Constructor for [MessageServiceApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  MessageServiceApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _MessageServiceApiCodec();

  Future<SimpleResponse> sendCustomMessage(String arg_roomUuid, String arg_userUuid, int arg_commandId, String arg_data, CrossAppAuthorization? arg_crossAppAuthorization) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.MessageServiceApi.sendCustomMessage', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_userUuid, arg_commandId, arg_data, arg_crossAppAuthorization]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _RoomLiveControllerApiCodec extends StandardMessageCodec {
  const _RoomLiveControllerApiCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is RoomLiveConfig) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveInfo) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveRequest) {
      buffer.putUint8(130);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveResponse) {
      buffer.putUint8(131);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveStreamImageInfo) {
      buffer.putUint8(132);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveStreamLayout) {
      buffer.putUint8(133);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveStreamTaskInfo) {
      buffer.putUint8(134);
      writeValue(buffer, value.encode());
    } else if (value is RoomLiveStreamUserTranscoding) {
      buffer.putUint8(135);
      writeValue(buffer, value.encode());
    } else if (value is SimpleResponse) {
      buffer.putUint8(136);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return RoomLiveConfig.decode(readValue(buffer)!);
      case 129: 
        return RoomLiveInfo.decode(readValue(buffer)!);
      case 130: 
        return RoomLiveRequest.decode(readValue(buffer)!);
      case 131: 
        return RoomLiveResponse.decode(readValue(buffer)!);
      case 132: 
        return RoomLiveStreamImageInfo.decode(readValue(buffer)!);
      case 133: 
        return RoomLiveStreamLayout.decode(readValue(buffer)!);
      case 134: 
        return RoomLiveStreamTaskInfo.decode(readValue(buffer)!);
      case 135: 
        return RoomLiveStreamUserTranscoding.decode(readValue(buffer)!);
      case 136: 
        return SimpleResponse.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

class RoomLiveControllerApi {
  /// Constructor for [RoomLiveControllerApi].  The [binaryMessenger] named argument is
  /// available for dependency injection.  If it is left null, the default
  /// BinaryMessenger will be used which routes to the host platform.
  RoomLiveControllerApi({BinaryMessenger? binaryMessenger})
      : _binaryMessenger = binaryMessenger;
  final BinaryMessenger? _binaryMessenger;

  static const MessageCodec<Object?> codec = _RoomLiveControllerApiCodec();

  Future<RoomLiveResponse> startLive(String arg_roomUuid, RoomLiveRequest arg_request) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomLiveControllerApi.startLive', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_request]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as RoomLiveResponse?)!;
    }
  }

  Future<SimpleResponse> stopLive(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomLiveControllerApi.stopLive', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<RoomLiveResponse> updateLive(String arg_roomUuid, RoomLiveRequest arg_request) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomLiveControllerApi.updateLive', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_request]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as RoomLiveResponse?)!;
    }
  }

  Future<RoomLiveResponse> getLiveInfo(String arg_roomUuid) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomLiveControllerApi.getLiveInfo', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as RoomLiveResponse?)!;
    }
  }

  Future<SimpleResponse> addLiveStreamTask(String arg_roomUuid, RoomLiveStreamTaskInfo arg_taskInfo) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomLiveControllerApi.addLiveStreamTask', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_taskInfo]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> updateLiveStreamTask(String arg_roomUuid, RoomLiveStreamTaskInfo arg_taskInfo) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomLiveControllerApi.updateLiveStreamTask', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_taskInfo]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }

  Future<SimpleResponse> removeLiveStreamTask(String arg_roomUuid, String arg_taskID) async {
    final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
        'dev.flutter.pigeon.RoomLiveControllerApi.removeLiveStreamTask', codec,
        binaryMessenger: _binaryMessenger);
    final List<Object?>? replyList =
        await channel.send(<Object?>[arg_roomUuid, arg_taskID]) as List<Object?>?;
    if (replyList == null) {
      throw PlatformException(
        code: 'channel-error',
        message: 'Unable to establish connection on channel.',
      );
    } else if (replyList.length > 1) {
      throw PlatformException(
        code: replyList[0]! as String,
        message: replyList[1] as String?,
        details: replyList[2],
      );
    } else if (replyList[0] == null) {
      throw PlatformException(
        code: 'null-error',
        message: 'Host platform returned null value for non-null return value.',
      );
    } else {
      return (replyList[0] as SimpleResponse?)!;
    }
  }
}

class _RoomStatsSinkCodec extends StandardMessageCodec {
  const _RoomStatsSinkCodec();
  @override
  void writeValue(WriteBuffer buffer, Object? value) {
    if (value is RoomNetworkQuality) {
      buffer.putUint8(128);
      writeValue(buffer, value.encode());
    } else if (value is RoomStatsEvent) {
      buffer.putUint8(129);
      writeValue(buffer, value.encode());
    } else {
      super.writeValue(buffer, value);
    }
  }

  @override
  Object? readValueOfType(int type, ReadBuffer buffer) {
    switch (type) {
      case 128: 
        return RoomNetworkQuality.decode(readValue(buffer)!);
      case 129: 
        return RoomStatsEvent.decode(readValue(buffer)!);
      default:
        return super.readValueOfType(type, buffer);
    }
  }
}

abstract class RoomStatsSink {
  static const MessageCodec<Object?> codec = _RoomStatsSinkCodec();

  void onRtcStats(String roomUuid, RoomStatsEvent event);

  void onNetworkQuality(String roomUuid, List<RoomNetworkQuality?> qualities);

  static void setup(RoomStatsSink? api, {BinaryMessenger? binaryMessenger}) {
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomStatsSink.onRtcStats', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomStatsSink.onRtcStats was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomStatsSink.onRtcStats was null, expected non-null String.');
          final RoomStatsEvent? arg_event = (args[1] as RoomStatsEvent?);
          assert(arg_event != null,
              'Argument for dev.flutter.pigeon.RoomStatsSink.onRtcStats was null, expected non-null RoomStatsEvent.');
          api.onRtcStats(arg_roomUuid!, arg_event!);
          return;
        });
      }
    }
    {
      final BasicMessageChannel<Object?> channel = BasicMessageChannel<Object?>(
          'dev.flutter.pigeon.RoomStatsSink.onNetworkQuality', codec,
          binaryMessenger: binaryMessenger);
      if (api == null) {
        channel.setMessageHandler(null);
      } else {
        channel.setMessageHandler((Object? message) async {
          assert(message != null,
          'Argument for dev.flutter.pigeon.RoomStatsSink.onNetworkQuality was null.');
          final List<Object?> args = (message as List<Object?>?)!;
          final String? arg_roomUuid = (args[0] as String?);
          assert(arg_roomUuid != null,
              'Argument for dev.flutter.pigeon.RoomStatsSink.onNetworkQuality was null, expected non-null String.');
          final List<RoomNetworkQuality?>? arg_qualities = (args[1] as List<Object?>?)?.cast<RoomNetworkQuality?>();
          assert(arg_qualities != null,
              'Argument for dev.flutter.pigeon.RoomStatsSink.onNetworkQuality was null, expected non-null List<RoomNetworkQuality?>.');
          api.onNetworkQuality(arg_roomUuid!, arg_qualities!);
          return;
        });
      }
    }
  }
}
